/* GEM Resource C Source */

#include <portab.h>
#include <aes.h>
#include "POVSHELL.H"

#if !defined(WHITEBAK)
#define WHITEBAK    0x0040
#endif
#if !defined(DRAW3D)
#define DRAW3D      0x0080
#endif

#define FLAGS9  0x0200
#define FLAGS10 0x0400
#define FLAGS11 0x0800
#define FLAGS12 0x1000
#define FLAGS13 0x2000
#define FLAGS14 0x4000
#define FLAGS15 0x8000
#define STATE8  0x0100
#define STATE9  0x0200
#define STATE10 0x0400
#define STATE11 0x0800
#define STATE12 0x1000
#define STATE13 0x2000
#define STATE14 0x4000
#define STATE15 0x8000

static  TEDINFO rs_tedinfo[] =
{ "POVshell",
  "\0",
  "\0",
  IBM  , 0, TE_CNTR , 0x1100, 0, -1, 9, 1,
  "--- version date & release ---",
  "\0",
  "\0",
  IBM  , 0, TE_CNTR , 0x1100, 0, -1, 31, 1,
  "Christophe BOYANIQUE",
  "\0",
  "\0",
  IBM  , 0, TE_CNTR , 0x1100, 0, -1, 21, 1,
  "29 Rue R\202publique",
  "\0",
  "\0",
  IBM  , 0, TE_CNTR , 0x1100, 0, -1, 18, 1,
  "37230 FONDETTES",
  "\0",
  "\0",
  IBM  , 0, TE_CNTR , 0x1100, 0, -1, 16, 1,
  "FRANCE",
  "\0",
  "\0",
  IBM  , 0, TE_CNTR , 0x1100, 0, -1, 7, 1,
  "small mail: cb@spia.freenix.fr",
  "\0",
  "\0",
  IBM  , 0, TE_CNTR , 0x1100, 0, -1, 31, 1,
  "\0",
  "\0",
  "\0",
  IBM  , 0, TE_CNTR , 0x1100, 0, -1, 1, 1,
  "\0",
  "\0",
  "\0",
  IBM  , 0, TE_CNTR , 0x1100, 0, -1, 1, 1,
  "GNU GENERAL PUBLIC LICENSE",
  "\0",
  "\0",
  IBM  , 0, TE_CNTR , 0x1100, 0, -1, 27, 1,
  "01",
  "_._",
  "99",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 3, 4,
  "\0",
  "\0",
  "\0",
  IBM  , 0, TE_LEFT , 0x1180, 0, 0, 1, 1,
  "0",
  "_",
  "9",
  IBM  , 0, TE_LEFT , 0x1180, 0, 0, 2, 2,
  "BUF",
  "___ k",
  "999",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 4, 6,
  "-lrg-",
  "_____",
  "99999",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 6, 6,
  "-hau-",
  "_____",
  "99999",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 6, 6,
  "-cdb-",
  "_____",
  "99999",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 6, 6,
  "-ldb-",
  "_____",
  "99999",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 6, 6,
  "-cfn-",
  "_____",
  "99999",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 6, 6,
  "-lfn-",
  "_____",
  "99999",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 6, 6,
  " TARGA (TGA) ",
  "\0",
  "\0",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 14, 1,
  " DIS",
  "\0",
  "\0",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 5, 1,
  " RAW",
  "\0",
  "\0",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 5, 1,
  "\0",
  "\0",
  "\0",
  IBM  , 0, TE_CNTR , 0x1180, 0, 0, 1, 1,
  "1",
  "_",
  "9",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 2, 2,
  "02",
  "_._",
  "99",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 3, 4,
  "\0",
  "\0",
  "\0",
  IBM  , 0, TE_CNTR , 0x1180, 0, 0, 1, 1,
  "-LAB-",
  "_____",
  "99999",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 6, 6,
  "-TAB-",
  "_____",
  "99999",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 6, 6,
  "-clock-",
  "_______",
  "XXXXXXX",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 8, 8,
  "FDSKINPT------------",
  "____________________",
  "ffffffffffffffffffff",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 21, 21,
  "FDSKOUTT------------",
  "____________________",
  "ffffffffffffffffffff",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 21, 21,
  "FDSKSTAT------------",
  "____________________",
  "ffffffffffffffffffff",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 21, 21,
  "FDSKPOVT------------",
  "____________________",
  "ffffffffffffffffffff",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 21, 21,
  "FDSKIN1T------------",
  "____________________",
  "ffffffffffffffffffff",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 21, 21,
  "FDSKIN2T------------",
  "____________________",
  "ffffffffffffffffffff",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 21, 21,
  "FDSKIN3T------------",
  "____________________",
  "ffffffffffffffffffff",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 21, 21,
  "FDSKIN4T------------",
  "____________________",
  "ffffffffffffffffffff",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 21, 21,
  "FDSKIN5T------------",
  "____________________",
  "ffffffffffffffffffff",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 21, 21,
  "FDSKTDTT------------",
  "____________________",
  "ffffffffffffffffffff",
  IBM  , 0, TE_LEFT , 0x1180, 0, -1, 21, 21,
  "ICSHELL---",
  "\0",
  "\0",
  SMALL, 0, TE_CNTR , 0x1100, 0, -1, 11, 1,
  "ICINFO----",
  "\0",
  "\0",
  SMALL, 0, TE_CNTR , 0x1100, 0, -1, 11, 1,
  "ICPARAM---",
  "\0",
  "\0",
  SMALL, 0, TE_CNTR , 0x1100, 0, -1, 11, 1,
  "ICPOV2----",
  "\0",
  "\0",
  SMALL, 0, TE_CNTR , 0x1100, 0, -1, 11, 1,
  "ICPREF----",
  "\0",
  "\0",
  SMALL, 0, TE_CNTR , 0x1100, 0, -1, 11, 1,
  "ICDISK----",
  "\0",
  "\0",
  SMALL, 0, TE_CNTR , 0x1100, 0, -1, 11, 1
};

static  WORD RS0_MMASK[] =
{ 0x000F, 0xE000, 0x007F, 0xFC00, 
  0x01FF, 0xFF00, 0x03FF, 0xFF80, 
  0x07FF, 0xFFC0, 0x0FFF, 0xFFE0, 
  0x1FFF, 0xFFF0, 0x3FFF, 0xFFF8, 
  0x7FFF, 0xFFFC, 0x7FFF, 0xFFFC, 
  0x7FFF, 0xFBFC, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFEE, 0x7FFF, 0xFFFC, 
  0x7FFF, 0xFFFC, 0x3FFF, 0xFFFC, 
  0x3FFF, 0xFFF8, 0x1FFF, 0xFFF0, 
  0x0FFF, 0xFFE0, 0x07FF, 0xFFC0, 
  0x03FF, 0xFF80, 0x01FF, 0xFF80, 
  0x01FF, 0xFF80, 0x0003, 0x8000, 
  0x0001, 0x0000, 0x0000, 0x0000
};

static  WORD RS0_MDATA[] =
{ 0x000F, 0xE000, 0x0073, 0x9C00, 
  0x0181, 0x0300, 0x0301, 0x0180, 
  0x0701, 0x01C0, 0x0901, 0x0120, 
  0x1081, 0x0210, 0x2081, 0x0218, 
  0x6080, 0x020C, 0x6047, 0xC40C, 
  0x401F, 0xF004, 0xBE3B, 0xF8DA, 
  0xB371, 0xFCDA, 0xB3E0, 0xFEDA, 
  0xBEF1, 0xFEDA, 0xB0FB, 0xFEDA, 
  0xB07F, 0xFC72, 0xB03F, 0xF822, 
  0xC01F, 0xF006, 0x6807, 0xC02C, 
  0x5400, 0x0054, 0x2A00, 0x00AC, 
  0x3500, 0x0158, 0x1A00, 0x00B0, 
  0x0C00, 0x0060, 0x0780, 0x01C0, 
  0x0388, 0x2180, 0x01F8, 0x3F80, 
  0x01FC, 0x7F80, 0x0002, 0x8000, 
  0x0001, 0x0000, 0x0000, 0x0000
};

static  WORD RS0_4CMASK[] =
{ 0x003F, 0xF800, 0x00FF, 0xFE00, 
  0x03FF, 0xFF80, 0x0FFF, 0xFFE0, 
  0x1FFF, 0xFFF0, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x7FFF, 0xFFFC, 
  0x7FFF, 0xFFFC, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0x7FFF, 0xFFFC, 
  0x3FFF, 0xFFF8, 0x0FFF, 0xFFE0, 
  0x03FF, 0xFF80, 0x01FF, 0xFF00, 
  0x01FF, 0xFF00, 0x01FF, 0xFF00, 
  0x0003, 0x8000, 0x0001, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS0_4CDATA[] =
{ 0x003F, 0xF800, 0x00FF, 0xFE00, 
  0x03FF, 0xFF80, 0x0FFF, 0xFFE0, 
  0x1FFF, 0xFFF0, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x7FFF, 0xFFFC, 
  0x7FF7, 0xDFFC, 0xFFD8, 0x17FE, 
  0xFFA0, 0x0BFE, 0xFD40, 0x05FE, 
  0xFF80, 0x03FE, 0xFF80, 0x03FE, 
  0xFD80, 0x03AE, 0xFF00, 0x0576, 
  0xFFA0, 0x0BDE, 0xFFD8, 0x37AE, 
  0xFFF7, 0xDFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0x7FFF, 0xFFFC, 
  0x3FFF, 0xFFF8, 0x0FFF, 0xFFE0, 
  0x03FF, 0xFF80, 0x01FF, 0xFF00, 
  0x01FF, 0xFF00, 0x01FF, 0xFF00, 
  0x0003, 0x8000, 0x0001, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0020, 0x0800, 0x0080, 0x0200, 
  0x021E, 0xF080, 0x087E, 0xFC20, 
  0x117E, 0xFD10, 0x27BE, 0xFBC8, 
  0x0FBE, 0xFBE0, 0x4FBF, 0xFBE4, 
  0x17F7, 0xDFD0, 0xBBDB, 0x97BA, 
  0x3FAF, 0xCBF8, 0x7D51, 0xC5FC, 
  0x7FB1, 0xE3FC, 0x7FB1, 0xC3FC, 
  0x7DBF, 0xC3AC, 0x7F3F, 0xC574, 
  0x7FAA, 0x0BDC, 0x7FD8, 0x37AC, 
  0x7BF7, 0xDFFC, 0x3DFF, 0xFF78, 
  0x9EFF, 0xFEF2, 0x077F, 0xFDC0, 
  0x21FF, 0xFF08, 0x087F, 0xFC20, 
  0x027F, 0xFC80, 0x007F, 0xFC00, 
  0x0003, 0x8000, 0x0001, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0020, 0x0800, 0x0080, 0x0200, 
  0x0200, 0x0080, 0x0800, 0x0020, 
  0x1000, 0x0010, 0x2000, 0x0008, 
  0x0000, 0x0000, 0x4000, 0x0004, 
  0x0007, 0xC000, 0x801F, 0xD002, 
  0x003F, 0xF800, 0x3C71, 0xFC88, 
  0x22F1, 0xFE88, 0x22F1, 0xFE88, 
  0x3CFF, 0xFE88, 0x303F, 0xFC50, 
  0x303F, 0xF850, 0x301F, 0xF020, 
  0x0007, 0xC000, 0x0000, 0x0000, 
  0x8000, 0x0002, 0x0000, 0x0000, 
  0x2000, 0x0008, 0x0800, 0x0020, 
  0x0200, 0x0080, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x000F, 0xE000, 0x0039, 0xB800, 
  0x0061, 0x4C00, 0x3EC0, 0xC688, 
  0x2280, 0x6688, 0x22A0, 0xC688, 
  0x3E91, 0x4ED8, 0x30F5, 0xDED8, 
  0x306A, 0x7C70, 0x303F, 0xF870, 
  0x000F, 0xE000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS0_4SMASK[] =
{ 0x001F, 0xF000, 0x00FF, 0xFE00, 
  0x03FF, 0xFF80, 0x07FF, 0xFFC0, 
  0x0FFF, 0xFFE0, 0x1FFF, 0xFFF0, 
  0x3FFF, 0xFFF8, 0x7FFF, 0xFFFC, 
  0x7FFF, 0xFFFC, 0x7FFF, 0xFFFC, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0x7FFF, 0xFFFC, 0x3FFF, 0xFFF8, 
  0x0FFF, 0xFFE0, 0x03FF, 0xFF80, 
  0x01FF, 0xFF00, 0x01FF, 0xFF00, 
  0x01FF, 0xFF00, 0x00FF, 0xFE00
};

static  WORD RS0_4SDATA[] =
{ 0x001F, 0xF000, 0x00FF, 0xFE00, 
  0x03FF, 0xFF80, 0x07FF, 0xFFC0, 
  0x0FFF, 0xFFE0, 0x1FFF, 0xFFF0, 
  0x3FFF, 0xFFF8, 0x7FFF, 0xFFFC, 
  0x7FFF, 0xFFFC, 0x7FFF, 0xFFFC, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFE, 
  0x7FFF, 0xFFFC, 0x3FFF, 0xFFF8, 
  0x0FFF, 0xFFE0, 0x03FF, 0xFF80, 
  0x01FF, 0xFF00, 0x01FF, 0xFF00, 
  0x01FF, 0xFF00, 0x00FF, 0xFE00, 
  0x0010, 0x1000, 0x008F, 0xE200, 
  0x0270, 0x1C80, 0x0580, 0x0340, 
  0x0A00, 0x00A0, 0x141E, 0xF050, 
  0x287E, 0xFC28, 0x517E, 0xFD14, 
  0x27BE, 0xFBC8, 0x0FBE, 0xFBE0, 
  0x8FBE, 0xFBE2, 0x17DE, 0xF7D0, 
  0x3BDE, 0xF7B8, 0x3BEE, 0xEFB8, 
  0x7DEE, 0xEF7C, 0x7EEE, 0xEEFC, 
  0x7EF6, 0xDEFC, 0x3F76, 0xDDF8, 
  0x5FBA, 0xBBF4, 0x6FBB, 0xBBEC, 
  0x77DB, 0xB7DC, 0x7BEF, 0xEFBC, 
  0x3DFF, 0xFF78, 0x9EFF, 0xFEF2, 
  0x077F, 0xFDC0, 0x23FF, 0xFF08, 
  0x08FF, 0xFE20, 0x027F, 0xFC80, 
  0x007F, 0xFC00, 0x0003, 0x8000, 
  0x0001, 0x0000, 0x00FC, 0x7E00, 
  0x0010, 0x1000, 0x008F, 0xE200, 
  0x0270, 0x1C80, 0x0580, 0x0340, 
  0x0A00, 0x00A0, 0x1400, 0x0050, 
  0x2800, 0x0028, 0x5000, 0x0014, 
  0x2000, 0x0008, 0x0000, 0x0000, 
  0x8000, 0x0002, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x8000, 0x0002, 
  0x0000, 0x0000, 0x2000, 0x0008, 
  0x0800, 0x0020, 0x0200, 0x0080, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x00FC, 0x7E00, 
  0x0000, 0x0000, 0x000F, 0xE000, 
  0x007F, 0xFC00, 0x01FF, 0xFF00, 
  0x03C0, 0x0780, 0x0780, 0x03C0, 
  0x0E00, 0x00E0, 0x1800, 0x0030, 
  0x3000, 0x0018, 0x2000, 0x0008, 
  0x2000, 0x0008, 0x4000, 0x0004, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0005, 0x4000, 0x0005, 0x4000, 
  0x0025, 0x4800, 0x0015, 0x5000, 
  0x0010, 0x1000, 0x0108, 0x2100, 
  0x0080, 0x0200, 0x0040, 0x0400, 
  0x0000, 0x0000, 0x0160, 0x0D00, 
  0x0178, 0x3D00, 0x0100, 0x0100, 
  0x01FD, 0x7F00, 0x0002, 0x8000
};

static  WORD RS1_MMASK[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x000F, 0xE000, 0x003F, 0xF800, 
  0x00FF, 0xFE00, 0x01FF, 0xFF00, 
  0x03FF, 0xFF80, 0x07FF, 0xFFC0, 
  0x0FFF, 0xFFE0, 0x0FFF, 0xFFE0, 
  0x1FFF, 0xFFF0, 0x1FFF, 0xFFF0, 
  0x3FFF, 0xFFF8, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x1FFF, 0xFFF0, 
  0x1FFF, 0xFFF0, 0x0FFF, 0xFFE0, 
  0x0FFF, 0xFFE0, 0x07FF, 0xFFC0, 
  0x03FF, 0xFF80, 0x01FF, 0xFF00, 
  0x00FF, 0xFE00, 0x003F, 0xF800, 
  0x000F, 0xE000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS1_MDATA[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x000F, 0xE000, 0x003F, 0xF800, 
  0x00FF, 0xFE00, 0x01FF, 0x0F00, 
  0x03FE, 0x0780, 0x07FE, 0x07C0, 
  0x0FFF, 0x0FE0, 0x0FFF, 0xFFE0, 
  0x1FFF, 0xFFF0, 0x1FF0, 0x0FF0, 
  0x3FFC, 0x1FF8, 0x3FF8, 0x1FF8, 
  0x3FF8, 0x3FF8, 0x3FF0, 0x3FF8, 
  0x3FF0, 0x7FF8, 0x3FE0, 0x7FF8, 
  0x3FE0, 0xFFF8, 0x1FC0, 0xFFF0, 
  0x1FC1, 0xFFF0, 0x0FC1, 0xFFE0, 
  0x0FC1, 0xFFE0, 0x07E0, 0xBFC0, 
  0x03F8, 0x7F80, 0x01FF, 0xFF00, 
  0x00FF, 0xFE00, 0x003F, 0xF800, 
  0x000F, 0xE000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS1_4CMASK[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x000F, 0xE000, 
  0x003F, 0xF800, 0x00FF, 0xFE00, 
  0x01FF, 0xFF00, 0x03FF, 0xFF80, 
  0x07FF, 0xFFC0, 0x0FFF, 0xFFE0, 
  0x0FFF, 0xFFE0, 0x1FFF, 0xFFF0, 
  0x1FFF, 0xFFF0, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x3FFF, 0xFFF8, 
  0x1FFF, 0xFFF0, 0x1FFF, 0xFFF0, 
  0x0FFF, 0xFFE0, 0x0FFF, 0xFFE0, 
  0x07FF, 0xFFC0, 0x03FF, 0xFF80, 
  0x01FF, 0xFF00, 0x00FF, 0xFE00, 
  0x003F, 0xF800, 0x000F, 0xE000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS1_4CDATA[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x000F, 0xE000, 
  0x003F, 0xF800, 0x00FF, 0xFE00, 
  0x01FF, 0x0F00, 0x03FE, 0x0780, 
  0x07FE, 0x07C0, 0x0FFF, 0x0FE0, 
  0x0FFF, 0xFFE0, 0x1FFF, 0xFFF0, 
  0x1FF0, 0x0FF0, 0x3FFC, 0x1FF8, 
  0x3FF8, 0x1FF8, 0x3FF8, 0x3FF8, 
  0x3FF0, 0x3FF8, 0x3FF0, 0x7FF8, 
  0x3FE0, 0x7FF8, 0x3FE0, 0xFFF8, 
  0x1FC0, 0xFFF0, 0x1FC1, 0xFFF0, 
  0x0FC1, 0xFFE0, 0x0FC1, 0xFFE0, 
  0x07E0, 0xBFC0, 0x03F8, 0x7F80, 
  0x01FF, 0xFF00, 0x00FF, 0xFE00, 
  0x003F, 0xF800, 0x000F, 0xE000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x000F, 0xE000, 
  0x003F, 0xF800, 0x00FF, 0xFE00, 
  0x01FF, 0x0F00, 0x03FE, 0x0780, 
  0x07FE, 0x07C0, 0x0FFF, 0x0FE0, 
  0x0FFF, 0xFFE0, 0x1FFF, 0xFFF0, 
  0x1FF0, 0x0FF0, 0x3FFC, 0x1FF8, 
  0x3FF8, 0x1FF8, 0x3FF8, 0x3FF8, 
  0x3FF0, 0x3FF8, 0x3FF0, 0x7FF8, 
  0x3FE0, 0x7FF8, 0x3FE0, 0xFFF8, 
  0x1FC0, 0xFFF0, 0x1FC1, 0xFFF0, 
  0x0FC1, 0xFFE0, 0x0FC1, 0xFFE0, 
  0x07E0, 0xBFC0, 0x03F8, 0x7F80, 
  0x01FF, 0xFF00, 0x00FF, 0xFE00, 
  0x003F, 0xF800, 0x000F, 0xE000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS1_4SMASK[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x000F, 0xE000, 
  0x003F, 0xF800, 0x00FF, 0xFE00, 
  0x01FF, 0xFF00, 0x03FF, 0xFF80, 
  0x07FF, 0xFFC0, 0x0FFF, 0xFFE0, 
  0x0FFF, 0xFFE0, 0x1FFF, 0xFFF0, 
  0x1FFF, 0xFFF0, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x3FFF, 0xFFF8, 
  0x1FFF, 0xFFF0, 0x1FFF, 0xFFF0, 
  0x0FFF, 0xFFE0, 0x0FFF, 0xFFE0, 
  0x07FF, 0xFFC0, 0x03FF, 0xFF80, 
  0x01FF, 0xFF00, 0x00FF, 0xFE00, 
  0x003F, 0xF800, 0x000F, 0xE000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS1_4SDATA[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0xF000, 0x0001, 0xF800, 
  0x0001, 0xF800, 0x0000, 0xF000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x000F, 0xF000, 0x0003, 0xE000, 
  0x0007, 0xE000, 0x0007, 0xC000, 
  0x000F, 0xC000, 0x000F, 0x8000, 
  0x001F, 0x8000, 0x001F, 0x0000, 
  0x003F, 0x0000, 0x003E, 0x0000, 
  0x003E, 0x0000, 0x003E, 0x0000, 
  0x001F, 0x0000, 0x0007, 0x8000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x000F, 0xE000, 
  0x003F, 0xF800, 0x00FF, 0xFE00, 
  0x01FF, 0xFF00, 0x03FF, 0xFF80, 
  0x07FF, 0xFFC0, 0x0FFF, 0xFFE0, 
  0x0FFF, 0xFFE0, 0x1FFF, 0xFFF0, 
  0x1FFF, 0xFFF0, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x3FFF, 0xFFF8, 
  0x3FFF, 0xFFF8, 0x3FFF, 0xFFF8, 
  0x1FFF, 0xFFF0, 0x1FFF, 0xFFF0, 
  0x0FFF, 0xFFE0, 0x0FFF, 0xFFE0, 
  0x07FF, 0xBFC0, 0x03FF, 0xFF80, 
  0x01FF, 0xFF00, 0x00FF, 0xFE00, 
  0x003F, 0xF800, 0x000F, 0xE000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x000F, 0xE000, 
  0x003F, 0xF800, 0x00FF, 0xFE00, 
  0x01FF, 0x0F00, 0x03FE, 0x0780, 
  0x07FE, 0x07C0, 0x0FFF, 0x0FE0, 
  0x0FFF, 0xFFE0, 0x1FFF, 0xFFF0, 
  0x1FF0, 0x0FF0, 0x3FFC, 0x1FF8, 
  0x3FF8, 0x1FF8, 0x3FF8, 0x3FF8, 
  0x3FF0, 0x3FF8, 0x3FF0, 0x7FF8, 
  0x3FE0, 0x7FF8, 0x3FE0, 0xFFF8, 
  0x1FC0, 0xFFF0, 0x1FC1, 0xFFF0, 
  0x0FC1, 0xFFE0, 0x0FC1, 0xFFE0, 
  0x07E0, 0xFFC0, 0x03F8, 0x7F80, 
  0x01FF, 0xFF00, 0x00FF, 0xFE00, 
  0x003F, 0xF800, 0x000F, 0xE000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x000F, 0xE000, 
  0x003F, 0xF800, 0x00FF, 0xFE00, 
  0x01FF, 0x0F00, 0x03FE, 0x0780, 
  0x07FE, 0x07C0, 0x0FFF, 0x0FE0, 
  0x0FFF, 0xFFE0, 0x1FFF, 0xFFF0, 
  0x1FF0, 0x0FF0, 0x3FFC, 0x1FF8, 
  0x3FF8, 0x1FF8, 0x3FF8, 0x3FF8, 
  0x3FF0, 0x3FF8, 0x3FF0, 0x7FF8, 
  0x3FE0, 0x7FF8, 0x3FE0, 0xFFF8, 
  0x1FC0, 0xFFF0, 0x1FC1, 0xFFF0, 
  0x0FC1, 0xFFE0, 0x0FC1, 0xFFE0, 
  0x07E0, 0xFFC0, 0x03F8, 0x7F80, 
  0x01FF, 0xFF00, 0x00FF, 0xFE00, 
  0x003F, 0xF800, 0x000F, 0xE000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS2_MMASK[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x07FF, 0xFFFF, 
  0xFF00, 0x07FF, 0xFFFF, 0xFF00, 
  0x07FF, 0xFFFF, 0xFF00, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x00FF, 0xFFFF, 0xFFC0, 0x00FF, 
  0xFFFF, 0xFFC0, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS2_MDATA[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x07FF, 0xFFFF, 
  0xFF00, 0x0440, 0x0001, 0x1100, 
  0x04C0, 0x0001, 0x3300, 0x05FF, 
  0xFFFF, 0x77C0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x0400, 0x0000, 0x01C0, 
  0x0400, 0x0000, 0x03C0, 0x0400, 
  0x0000, 0x03C0, 0x047E, 0x0000, 
  0x03C0, 0x0442, 0x3755, 0xA3C0, 
  0x0442, 0x36D7, 0x63C0, 0x0442, 
  0x0000, 0x03C0, 0x0442, 0x2D56, 
  0xA3C0, 0x047E, 0x375C, 0xA3C0, 
  0x0400, 0x0000, 0x03C0, 0x0400, 
  0x0000, 0x03C0, 0x0400, 0x0000, 
  0x03C0, 0x0400, 0x0000, 0x03C0, 
  0x0400, 0x0000, 0x03C0, 0x047F, 
  0x1FC7, 0xF3C0, 0x0441, 0x9064, 
  0x1BC0, 0x047F, 0x9FE7, 0xFBC0, 
  0x043F, 0x8FE3, 0xFBC0, 0x0400, 
  0x0000, 0x03C0, 0x05FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x00FF, 0xFFFF, 0xFFC0, 0x00FF, 
  0xFFFF, 0xFFC0, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS2_4CMASK[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x07FF, 0xFFFF, 
  0xFF00, 0x07FF, 0xFFFF, 0xFF00, 
  0x07FF, 0xFFFF, 0xFF00, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x00FF, 0xFFFF, 0xFFC0, 0x00FF, 
  0xFFFF, 0xFFC0, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS2_4CDATA[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x07FF, 0xFFFF, 
  0xFF00, 0x0440, 0x0003, 0x1100, 
  0x0540, 0x0003, 0x5500, 0x047F, 
  0xFFFF, 0x1100, 0x07FF, 0xFFFF, 
  0xFF00, 0x0400, 0x0000, 0x0300, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05C3, 0xFFFF, 0xFD00, 
  0x05C3, 0xFFFF, 0xFD00, 0x05C3, 
  0xFFFF, 0xFD00, 0x05C3, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05C1, 0x705C, 
  0x1500, 0x05FF, 0x7FDF, 0xF500, 
  0x05C0, 0x701C, 0x0500, 0x05FF, 
  0xFFFF, 0xFD00, 0x0600, 0x0000, 
  0x0100, 0x07FF, 0xFFFF, 0xFF00, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x07FF, 0xFFFF, 
  0xFF00, 0x0440, 0x0003, 0x1100, 
  0x0540, 0x0003, 0x5500, 0x047F, 
  0xFFFF, 0x1100, 0x07FF, 0xFFFF, 
  0xFF00, 0x0400, 0x0000, 0x0300, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05C3, 0xFFFF, 0xFD00, 
  0x05C3, 0xFFFF, 0xFD00, 0x05C3, 
  0xFFFF, 0xFD00, 0x05C3, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05C1, 0x705C, 
  0x1500, 0x05FF, 0x7FDF, 0xF500, 
  0x05C0, 0x701C, 0x0500, 0x05FF, 
  0xFFFF, 0xFD00, 0x0600, 0x0000, 
  0x0100, 0x07FF, 0xFFFF, 0xFF00, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x07FF, 0xFFFF, 
  0xFF00, 0x0440, 0x0003, 0x1100, 
  0x0540, 0x0003, 0x5500, 0x047F, 
  0xFFFF, 0x1100, 0x07FF, 0xFFFF, 
  0xFF00, 0x0400, 0x0000, 0x0300, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05C3, 0xFFFF, 0xFD00, 
  0x05C3, 0xFFFF, 0xFD00, 0x05C3, 
  0xFFFF, 0xFD00, 0x05C3, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05C1, 0x705C, 
  0x1500, 0x05FF, 0x7FDF, 0xF500, 
  0x05C0, 0x701C, 0x0500, 0x05FF, 
  0xFFFF, 0xFD00, 0x0600, 0x0000, 
  0x0100, 0x07FF, 0xFFFF, 0xFF00, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x07FF, 0xFFFF, 
  0xFF00, 0x0440, 0x0001, 0x1100, 
  0x04C0, 0x0001, 0x3300, 0x05C0, 
  0x0001, 0x77C0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x0400, 0x0000, 0x01C0, 
  0x0400, 0x0000, 0x03C0, 0x0400, 
  0x0000, 0x03C0, 0x047E, 0x0000, 
  0x03C0, 0x0442, 0x3755, 0xA3C0, 
  0x0442, 0x36D7, 0x63C0, 0x0442, 
  0x0000, 0x03C0, 0x0442, 0x2D56, 
  0xA3C0, 0x047E, 0x375C, 0xA3C0, 
  0x0400, 0x0000, 0x03C0, 0x0400, 
  0x0000, 0x03C0, 0x0400, 0x0000, 
  0x03C0, 0x0400, 0x0000, 0x03C0, 
  0x0400, 0x0000, 0x03C0, 0x047F, 
  0x1FC7, 0xF3C0, 0x0441, 0x9064, 
  0x1BC0, 0x047F, 0x9FE7, 0xFBC0, 
  0x043F, 0x8FE3, 0xFBC0, 0x0400, 
  0x0000, 0x03C0, 0x05FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x00FF, 0xFFFF, 0xFFC0, 0x00FF, 
  0xFFFF, 0xFFC0, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS2_4SMASK[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x07FF, 0xFFFF, 
  0xFF00, 0x07FF, 0xFFFF, 0xFF00, 
  0x07FF, 0xFFFF, 0xFF00, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x07FF, 0xFFFF, 0xFFC0, 0x07FF, 
  0xFFFF, 0xFFC0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x00FF, 0xFFFF, 0xFFC0, 0x00FF, 
  0xFFFF, 0xFFC0, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS2_4SDATA[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x07FF, 0xFFFF, 
  0xFF00, 0x0440, 0x0001, 0x1100, 
  0x055F, 0xFFFF, 0x5500, 0x045F, 
  0xFFFF, 0x1100, 0x07FF, 0xFFFF, 
  0xFF00, 0x0400, 0x0000, 0x0300, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05C1, 0x705F, 
  0xFD00, 0x05FF, 0x7FDE, 0x0D00, 
  0x05C0, 0x701F, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x0600, 0x0000, 
  0x0100, 0x07FF, 0xFFFF, 0xFF00, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x07FF, 0xFFFF, 
  0xFF00, 0x0440, 0x0001, 0x1100, 
  0x055F, 0xFFFF, 0x5500, 0x045F, 
  0xFFFF, 0x1100, 0x07FF, 0xFFFF, 
  0xFF00, 0x0400, 0x0000, 0x0300, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05C1, 0x705F, 
  0xFD00, 0x05FF, 0x7FDF, 0xFD00, 
  0x05C0, 0x701F, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x0600, 0x0000, 
  0x0100, 0x07FF, 0xFFFF, 0xFF00, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x07FF, 0xFFFF, 
  0xFF00, 0x0440, 0x0001, 0x1100, 
  0x055F, 0xFFFF, 0x5500, 0x045F, 
  0xFFFF, 0x1100, 0x07FF, 0xFFFF, 
  0xFF00, 0x0400, 0x0000, 0x0300, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05FF, 0xFFFF, 
  0xFD00, 0x05FF, 0xFFFF, 0xFD00, 
  0x05FF, 0xFFFF, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x05C1, 0x705F, 
  0xFD00, 0x05FF, 0x7FDE, 0x0D00, 
  0x05C0, 0x701F, 0xFD00, 0x05FF, 
  0xFFFF, 0xFD00, 0x0600, 0x0000, 
  0x0100, 0x07FF, 0xFFFF, 0xFF00, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x07FF, 0xFFFF, 
  0xFF00, 0x047F, 0xFFFF, 0x1100, 
  0x04FF, 0xFFFF, 0x3300, 0x05FF, 
  0xFFFF, 0x77C0, 0x07FF, 0xFFFF, 
  0xFFC0, 0x0400, 0x0000, 0x01C0, 
  0x0400, 0x0000, 0x03C0, 0x04C1, 
  0xC000, 0x03C0, 0x0467, 0x0000, 
  0x03C0, 0x043E, 0x3755, 0xA3C0, 
  0x0418, 0x36D7, 0x63C0, 0x043C, 
  0x0000, 0x03C0, 0x0464, 0x2D56, 
  0xA3C0, 0x04C6, 0x375C, 0xA3C0, 
  0x04C3, 0x0000, 0x03C0, 0x0401, 
  0x0000, 0x03C0, 0x0400, 0x0000, 
  0x03C0, 0x0400, 0x0000, 0x03C0, 
  0x0400, 0x0000, 0x03C0, 0x047F, 
  0x1FC0, 0x03C0, 0x0441, 0x9063, 
  0xFBC0, 0x047F, 0x9FE2, 0x0BC0, 
  0x043F, 0x8FE3, 0xFBC0, 0x0400, 
  0x0000, 0x03C0, 0x05FF, 0xFFFF, 
  0xFFC0, 0x07FF, 0xFFFF, 0xFFC0, 
  0x00FF, 0xFFFF, 0xFFC0, 0x00FF, 
  0xFFFF, 0xFFC0, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS3_MMASK[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x003F, 0xFE00, 
  0x007F, 0xFF00, 0x00FF, 0xFF80, 
  0x01FF, 0xFFC0, 0x01F0, 0x0FC0, 
  0x01F0, 0x07C0, 0x00E0, 0x07C0, 
  0x0000, 0x0FC0, 0x0007, 0xCFC0, 
  0x001F, 0xF780, 0x003F, 0xFB00, 
  0x3C7F, 0xFC88, 0x32FF, 0xFE88, 
  0x32FF, 0xFE88, 0x3CFF, 0xFE88, 
  0x307F, 0xFC50, 0x303F, 0xF850, 
  0x301F, 0xF020, 0x0067, 0xC000, 
  0x00F8, 0x0000, 0x01FC, 0x0000, 
  0x01FF, 0xFF00, 0x01FF, 0xFF80, 
  0x00FF, 0xFFC0, 0x007F, 0xFFC0, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS3_MDATA[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x003F, 0xFE00, 
  0x007F, 0xFF00, 0x00FF, 0xFF80, 
  0x01FF, 0xFFC0, 0x01F0, 0x0FC0, 
  0x01F0, 0x07C0, 0x00E0, 0x07C0, 
  0x0000, 0x0FC0, 0x0007, 0xCFC0, 
  0x001F, 0xF780, 0x003B, 0xFB00, 
  0x3C71, 0xFC88, 0x32E0, 0xFE88, 
  0x32F1, 0xFE88, 0x3CFB, 0xFE88, 
  0x307F, 0xFC50, 0x303F, 0xF850, 
  0x301F, 0xF020, 0x0067, 0xC000, 
  0x00F8, 0x0000, 0x01FC, 0x0000, 
  0x01FF, 0xFF00, 0x01FF, 0xFF80, 
  0x00FF, 0xFFC0, 0x007F, 0xFFC0, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS3_4CMASK[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x003F, 0xFE00, 
  0x007F, 0xFF00, 0x00FF, 0xFF80, 
  0x01FF, 0xFFC0, 0x01F0, 0x0FC0, 
  0x01F0, 0x07C0, 0x00E0, 0x07C0, 
  0x0000, 0x0FC0, 0x000F, 0xFFC0, 
  0x003F, 0xFF80, 0x007F, 0xFF00, 
  0x3EFF, 0xFE88, 0x32FF, 0xFE88, 
  0x32FF, 0xFE88, 0x3EFF, 0xFED8, 
  0x30FF, 0xFED8, 0x307F, 0xFC70, 
  0x303F, 0xF870, 0x007F, 0xE000, 
  0x00FE, 0x0000, 0x01FC, 0x0000, 
  0x01FF, 0xFF00, 0x01FF, 0xFF80, 
  0x00FF, 0xFFC0, 0x007F, 0xFFC0, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS3_4CDATA[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x003F, 0xFE00, 
  0x007F, 0xFF00, 0x00FF, 0xFF80, 
  0x01FF, 0xFFC0, 0x01F0, 0x0FC0, 
  0x01F0, 0x07C0, 0x00E0, 0x07C0, 
  0x0000, 0x0FC0, 0x0007, 0xDFC0, 
  0x0018, 0x1780, 0x0020, 0x0B00, 
  0x3C40, 0x0488, 0x3281, 0x0288, 
  0x3280, 0x0288, 0x3C80, 0x0288, 
  0x3000, 0x0450, 0x3020, 0x0850, 
  0x3018, 0x3020, 0x0077, 0xC000, 
  0x00FE, 0x0000, 0x01FC, 0x0000, 
  0x01FF, 0xFF00, 0x01FF, 0xFF80, 
  0x00FF, 0xFFC0, 0x007F, 0xFFC0, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0007, 0xC000, 
  0x001B, 0x9000, 0x002F, 0xC800, 
  0x3C51, 0xC488, 0x32B0, 0xE288, 
  0x32B1, 0xC288, 0x3CBF, 0xC288, 
  0x303F, 0xC450, 0x302A, 0x0850, 
  0x3018, 0x3020, 0x0007, 0xC000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x003F, 0xFE00, 0x007F, 0xFF00, 
  0x00F0, 0x0F80, 0x00E0, 0x0780, 
  0x00E0, 0x0380, 0x0000, 0x0380, 
  0x0000, 0x0780, 0x0007, 0xCF80, 
  0x001F, 0xD700, 0x003F, 0xFA00, 
  0x3C71, 0xFC88, 0x32F0, 0xFE88, 
  0x32F1, 0xFE88, 0x3CFF, 0xFE88, 
  0x303F, 0xFC50, 0x303F, 0xF850, 
  0x301F, 0xF020, 0x0037, 0xC000, 
  0x007C, 0x0000, 0x00F8, 0x0000, 
  0x00F0, 0x0000, 0x00FF, 0xFF00, 
  0x007F, 0xFF80, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x003F, 0xFE00, 
  0x0067, 0xFF00, 0x00DF, 0xFF80, 
  0x01BF, 0xFFC0, 0x01B0, 0x0FC0, 
  0x01F0, 0x06C0, 0x00E0, 0x06C0, 
  0x0000, 0x0DC0, 0x000F, 0xFBC0, 
  0x0039, 0xBF80, 0x0061, 0x4F00, 
  0x3EC0, 0xC688, 0x3280, 0x6688, 
  0x32A0, 0xC688, 0x3E91, 0x4ED8, 
  0x30F5, 0xDED8, 0x306A, 0x7C70, 
  0x303F, 0xF870, 0x006F, 0xE000, 
  0x00DE, 0x0000, 0x01BC, 0x0000, 
  0x017F, 0xFF00, 0x01BF, 0xFF80, 
  0x00CF, 0xFFC0, 0x007F, 0xFFC0, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS3_4SMASK[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x003F, 0xFE00, 
  0x007F, 0xFF00, 0x00FF, 0xFF80, 
  0x01FF, 0xFFC0, 0x01F0, 0x0FC0, 
  0x01F0, 0x07C0, 0x00E0, 0x07C0, 
  0x000F, 0xEFC0, 0x001F, 0xFFC0, 
  0x003F, 0xFF80, 0x007F, 0xFF00, 
  0x3E7F, 0xFC88, 0x327F, 0xFC88, 
  0x327F, 0xFC88, 0x3E7F, 0xFCD8, 
  0x307F, 0xFCD8, 0x307F, 0xFC70, 
  0x303F, 0xF870, 0x007F, 0xF000, 
  0x00FF, 0xE000, 0x01FC, 0x0000, 
  0x01FF, 0xFF00, 0x01FF, 0xFF80, 
  0x00FF, 0xFFC0, 0x007F, 0xFFC0, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS3_4SDATA[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x003F, 0xFE00, 
  0x007F, 0xFF00, 0x00FF, 0xFF80, 
  0x01FF, 0xFFC0, 0x01F0, 0x0FC0, 
  0x01F0, 0x07C0, 0x00E0, 0x07C0, 
  0x0007, 0xCFC0, 0x000F, 0xEFC0, 
  0x001F, 0xE780, 0x003F, 0xF300, 
  0x3C7F, 0xFC88, 0x327F, 0xFC88, 
  0x327F, 0xFC88, 0x3C7F, 0x3C88, 
  0x307F, 0x3C50, 0x303F, 0xF850, 
  0x301F, 0xF020, 0x0067, 0xE000, 
  0x00F7, 0xC000, 0x01FC, 0x0000, 
  0x01FF, 0xFF00, 0x01FF, 0xFF80, 
  0x00FF, 0xFFC0, 0x007F, 0xFFC0, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0007, 0xC000, 0x0008, 0x2000, 
  0x0010, 0x0000, 0x0020, 0x0000, 
  0x3C40, 0x0488, 0x3240, 0x0488, 
  0x3240, 0x0488, 0x3C40, 0x0488, 
  0x3040, 0x0450, 0x3020, 0x0850, 
  0x3010, 0x1020, 0x0000, 0x2000, 
  0x0007, 0xC000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x003F, 0xFE00, 0x007F, 0xFF00, 
  0x00F0, 0x0F80, 0x00E0, 0x0780, 
  0x00E0, 0x0380, 0x0000, 0x0380, 
  0x0007, 0xC780, 0x0008, 0x2F80, 
  0x0010, 0x0700, 0x0020, 0x0200, 
  0x3C40, 0x0488, 0x3240, 0x0488, 
  0x3240, 0x0488, 0x3C40, 0x0488, 
  0x3040, 0x0450, 0x3020, 0x0850, 
  0x3010, 0x1020, 0x0020, 0x2000, 
  0x0077, 0xC000, 0x00F8, 0x0000, 
  0x00F0, 0x0000, 0x00FF, 0xFF00, 
  0x007F, 0xFF80, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x003F, 0xFE00, 
  0x0067, 0xFF00, 0x00DF, 0xFF80, 
  0x01BF, 0xFFC0, 0x01B0, 0x0FC0, 
  0x01F0, 0x06C0, 0x00E0, 0x06C0, 
  0x000F, 0xEDC0, 0x001F, 0xFBC0, 
  0x003F, 0xFF80, 0x007D, 0x5F00, 
  0x3E7A, 0x2C88, 0x3274, 0x1488, 
  0x3278, 0x0C88, 0x3E70, 0x04D8, 
  0x3078, 0x0CD8, 0x3074, 0x1C70, 
  0x303A, 0x3870, 0x007D, 0x7000, 
  0x00DF, 0xE000, 0x01BC, 0x0000, 
  0x017F, 0xFF00, 0x01BF, 0xFF80, 
  0x00CF, 0xFFC0, 0x007F, 0xFFC0, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000
};

static  WORD RS4_MMASK[] =
{ 0x0000, 0x0000, 0x0000, 0x0040, 
  0x0000, 0x01C0, 0x03C0, 0x03C0, 
  0x03F0, 0x07C0, 0x01F8, 0x0F80, 
  0x01FC, 0x0F80, 0x00FE, 0x1F80, 
  0x007E, 0x1F00, 0x003F, 0x3F00, 
  0x001F, 0x3E00, 0x000F, 0x3E00, 
  0x0007, 0xFC00, 0x0007, 0xF800, 
  0x000F, 0xF800, 0x001F, 0xFC00, 
  0x001F, 0xFC00, 0x003F, 0xFE00, 
  0x003F, 0xFE00, 0x003F, 0xFE00, 
  0x001F, 0xFE00, 0x001F, 0xFE00, 
  0x0007, 0xFE00, 0x0007, 0xFC00, 
  0x0007, 0x3900, 0x0026, 0xA300, 
  0x0031, 0x8F00, 0x003F, 0xFE00, 
  0x003F, 0xF800, 0x0031, 0x8000, 
  0x0020, 0x8000, 0x0000, 0x0000
};

static  WORD RS4_MDATA[] =
{ 0x0000, 0x0000, 0x0000, 0x0040, 
  0x0000, 0x01C0, 0x03C0, 0x03C0, 
  0x03F0, 0x07C0, 0x01F8, 0x0F80, 
  0x01FC, 0x0F80, 0x00FE, 0x1F80, 
  0x007E, 0x1F00, 0x003F, 0x3F00, 
  0x001F, 0x3E00, 0x000F, 0x3E00, 
  0x0007, 0xFC00, 0x0007, 0xF800, 
  0x000F, 0xF800, 0x001F, 0xFC00, 
  0x001F, 0xFC00, 0x0039, 0xFE00, 
  0x003D, 0xFE00, 0x003F, 0xFE00, 
  0x001F, 0xFE00, 0x001F, 0xFE00, 
  0x0007, 0xFE00, 0x0007, 0xFC00, 
  0x0007, 0x3900, 0x0026, 0xA300, 
  0x0031, 0x8F00, 0x003F, 0xFE00, 
  0x003F, 0xF800, 0x0031, 0x8000, 
  0x0020, 0x8000, 0x0000, 0x0000
};

static  WORD RS4_4CMASK[] =
{ 0x0000, 0x0000, 0x0000, 0x00C0, 
  0x0000, 0x01C0, 0x03C0, 0x03C0, 
  0x03F0, 0x07C0, 0x01F8, 0x0FC0, 
  0x01FC, 0x0F80, 0x00FC, 0x1F80, 
  0x00FE, 0x1F80, 0x007F, 0x3F00, 
  0x003F, 0xBF00, 0x003F, 0xBE00, 
  0x000F, 0xFC00, 0x000F, 0xF800, 
  0x000F, 0xFC00, 0x001F, 0xFC00, 
  0x003F, 0xFE00, 0x003F, 0xFE00, 
  0x003F, 0xFE00, 0x003F, 0xFE00, 
  0x003F, 0xFE00, 0x001F, 0xFE00, 
  0x000F, 0xFE00, 0x0007, 0xFE00, 
  0x0007, 0xFC00, 0x0027, 0xFF80, 
  0x0031, 0xFF00, 0x003F, 0xFF00, 
  0x003F, 0xFC00, 0x0031, 0x8000, 
  0x0020, 0x8000, 0x0000, 0x0000
};

static  WORD RS4_4CDATA[] =
{ 0x0000, 0x0000, 0x0000, 0x0040, 
  0x0000, 0x01C0, 0x0340, 0x03C0, 
  0x03D0, 0x0780, 0x00F8, 0x07C0, 
  0x01FC, 0x0F80, 0x007C, 0x0F00, 
  0x00FC, 0x1F80, 0x003F, 0x3E00, 
  0x003E, 0x9F00, 0x003F, 0xBC00, 
  0x0007, 0x7C00, 0x000B, 0xF800, 
  0x000F, 0xF800, 0x001F, 0xFC00, 
  0x001F, 0xFC00, 0x0039, 0xFE00, 
  0x003D, 0xFE00, 0x003F, 0xFE00, 
  0x001F, 0xFE00, 0x001F, 0xFE00, 
  0x0007, 0xFC00, 0x0007, 0xFE00, 
  0x0007, 0x3C00, 0x0026, 0xA580, 
  0x0031, 0xB700, 0x003F, 0xFD00, 
  0x003F, 0xF400, 0x0031, 0x8000, 
  0x0020, 0x8000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0040, 
  0x0000, 0x01C0, 0x0340, 0x03C0, 
  0x03D0, 0x0780, 0x00F8, 0x07C0, 
  0x01FC, 0x0F80, 0x007C, 0x0F00, 
  0x00FC, 0x1F80, 0x003F, 0x3E00, 
  0x003E, 0x9F00, 0x003F, 0xBC00, 
  0x0007, 0x7C00, 0x000B, 0xF800, 
  0x000F, 0xF800, 0x001F, 0xFC00, 
  0x001F, 0xFC00, 0x0039, 0xFE00, 
  0x003D, 0xFE00, 0x003F, 0xFE00, 
  0x001F, 0xFE00, 0x001F, 0xFE00, 
  0x0007, 0xFC00, 0x0007, 0xFE00, 
  0x0007, 0x3C00, 0x0026, 0xA580, 
  0x0031, 0xB700, 0x003F, 0xFD00, 
  0x003F, 0xF400, 0x0031, 0x8000, 
  0x0020, 0x8000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0040, 
  0x0000, 0x01C0, 0x0340, 0x03C0, 
  0x03D0, 0x0780, 0x00F8, 0x07C0, 
  0x01FC, 0x0F80, 0x007C, 0x0F00, 
  0x00FC, 0x1F80, 0x003F, 0x3E00, 
  0x003E, 0x9F00, 0x003F, 0xBC00, 
  0x0007, 0x7C00, 0x000B, 0xF800, 
  0x000F, 0xF800, 0x001F, 0xFC00, 
  0x001F, 0xFC00, 0x0039, 0xFE00, 
  0x003D, 0xFE00, 0x003F, 0xFE00, 
  0x001F, 0xFE00, 0x001F, 0xFE00, 
  0x0007, 0xFC00, 0x0007, 0xFE00, 
  0x0007, 0x3C00, 0x0026, 0xA580, 
  0x0031, 0xB700, 0x003F, 0xFD00, 
  0x003F, 0xF400, 0x0031, 0x8000, 
  0x0020, 0x8000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x00C0, 
  0x0000, 0x01C0, 0x0380, 0x03C0, 
  0x01E0, 0x07C0, 0x01F0, 0x0F80, 
  0x00F8, 0x0F80, 0x00FC, 0x1F80, 
  0x007E, 0x1F00, 0x007E, 0x1F00, 
  0x003F, 0x3E00, 0x001F, 0x3E00, 
  0x000F, 0xBC00, 0x0007, 0xF800, 
  0x000F, 0xFC00, 0x001F, 0xFC00, 
  0x003F, 0xFE00, 0x0039, 0xFE00, 
  0x003B, 0xFE00, 0x003F, 0xFE00, 
  0x003F, 0xFE00, 0x001F, 0xFE00, 
  0x000F, 0xFE00, 0x0007, 0xFC00, 
  0x0007, 0x7800, 0x0026, 0xB300, 
  0x0031, 0x8F00, 0x003F, 0xBE00, 
  0x003F, 0xB800, 0x0031, 0x8000, 
  0x0020, 0x8000, 0x0000, 0x0000
};

static  WORD RS4_4SMASK[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x03C0, 0x0000, 
  0x03F0, 0x0000, 0x01F8, 0x0000, 
  0x01FC, 0x0E00, 0x00FC, 0x1F80, 
  0x00FE, 0x1FC0, 0x007F, 0x3FE0, 
  0x003F, 0xBFF0, 0x003F, 0xBEF0, 
  0x000F, 0xFC38, 0x000F, 0xF818, 
  0x000F, 0xFC00, 0x001F, 0xFC00, 
  0x003F, 0xFE00, 0x003F, 0xFE00, 
  0x003F, 0xFE00, 0x003F, 0xFE00, 
  0x003F, 0xFE00, 0x001F, 0xFE00, 
  0x000F, 0xFE00, 0x0007, 0xFE00, 
  0x0007, 0xFC00, 0x0027, 0xFF80, 
  0x0031, 0xFF00, 0x003F, 0xFF00, 
  0x003F, 0xFC00, 0x0031, 0x8000, 
  0x0020, 0x8000, 0x0000, 0x0000
};

static  WORD RS4_4SDATA[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0340, 0x0000, 
  0x03D0, 0x0000, 0x00F8, 0x0000, 
  0x01FC, 0x0E00, 0x007C, 0x0F80, 
  0x00FC, 0x1FC0, 0x003F, 0x3EE0, 
  0x003E, 0x9FF0, 0x003F, 0xBCF0, 
  0x0007, 0x7C38, 0x000B, 0xF818, 
  0x000F, 0xF800, 0x001F, 0xFC00, 
  0x001F, 0xFC00, 0x0039, 0xFE00, 
  0x003D, 0xFE00, 0x003F, 0xFE00, 
  0x001F, 0xFE00, 0x001F, 0xFE00, 
  0x0007, 0xFC00, 0x0007, 0xFE00, 
  0x0007, 0x3C00, 0x0026, 0xA580, 
  0x0031, 0xB700, 0x003F, 0xFD00, 
  0x003F, 0xF400, 0x0031, 0x8000, 
  0x0020, 0x8000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0340, 0x0000, 
  0x03D0, 0x0000, 0x00F8, 0x0000, 
  0x01FC, 0x0E00, 0x007C, 0x0F80, 
  0x00FC, 0x1FC0, 0x003F, 0x3EE0, 
  0x003E, 0x9FF0, 0x003F, 0xBCF0, 
  0x0007, 0x7C38, 0x000B, 0xF818, 
  0x000F, 0xF800, 0x001F, 0xFC00, 
  0x001F, 0xFC00, 0x0039, 0xFE00, 
  0x003D, 0xFE00, 0x003F, 0xFE00, 
  0x001F, 0xFE00, 0x001F, 0xFE00, 
  0x0007, 0xFC00, 0x0007, 0xFE00, 
  0x0007, 0x3C00, 0x0026, 0xA580, 
  0x0031, 0xB700, 0x003F, 0xFD00, 
  0x003F, 0xF400, 0x0031, 0x8000, 
  0x0020, 0x8000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0340, 0x0000, 
  0x03D0, 0x0000, 0x00F8, 0x0000, 
  0x01FC, 0x0E00, 0x007C, 0x0F80, 
  0x00FC, 0x1FC0, 0x003F, 0x3EE0, 
  0x003E, 0x9FF0, 0x003F, 0xBCF0, 
  0x0007, 0x7C38, 0x000B, 0xF818, 
  0x000F, 0xF800, 0x001F, 0xFC00, 
  0x001F, 0xFC00, 0x0039, 0xFE00, 
  0x003D, 0xFE00, 0x003F, 0xFE00, 
  0x001F, 0xFE00, 0x001F, 0xFE00, 
  0x0007, 0xFC00, 0x0007, 0xFE00, 
  0x0007, 0x3C00, 0x0026, 0xA580, 
  0x0031, 0xB700, 0x003F, 0xFD00, 
  0x003F, 0xF400, 0x0031, 0x8000, 
  0x0020, 0x8000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0380, 0x0000, 
  0x01E0, 0x0000, 0x01F0, 0x0000, 
  0x00F8, 0x0E00, 0x00FC, 0x1F80, 
  0x007E, 0x1FC0, 0x007E, 0x1FE0, 
  0x003F, 0x3FF0, 0x001F, 0x3EF0, 
  0x000F, 0xBC38, 0x0007, 0xF818, 
  0x000F, 0xFC00, 0x001F, 0xFC00, 
  0x003F, 0xFE00, 0x0039, 0xFE00, 
  0x003B, 0xFE00, 0x003F, 0xFE00, 
  0x003F, 0xFE00, 0x001F, 0xFE00, 
  0x000F, 0xFE00, 0x0007, 0xFC00, 
  0x0007, 0x7800, 0x0026, 0xB300, 
  0x0031, 0x8F00, 0x003F, 0xBE00, 
  0x003F, 0xB800, 0x0031, 0x8000, 
  0x0020, 0x8000, 0x0000, 0x0000
};

static  WORD RS5_MMASK[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x7FFF, 0xFFF8, 0x7FFF, 0xFFFC, 
  0x7FFF, 0xFFFE, 0x7FFF, 0xFFFF, 
  0x7FFF, 0xFFFF, 0x7FFF, 0xFFFF, 
  0x7FFF, 0xFFFF, 0x7FFF, 0xFFFF, 
  0x7FFF, 0xFFFF, 0x7FFF, 0xFFFF, 
  0x7FFF, 0xFFFF, 0x7FFF, 0xFFFF, 
  0x7FFF, 0xFFFF, 0x7FFF, 0xFFFF, 
  0x7FFF, 0xFFFF, 0x7FFF, 0xFFFF, 
  0x7FFF, 0xFFFF, 0x7FFF, 0xFFFF, 
  0x7FFF, 0xFFFF, 0x7FFF, 0xFFFF, 
  0x7FFF, 0xFFFF, 0x7FFF, 0xFFFF, 
  0x7FFF, 0xFFFF, 0x7FFF, 0xFFFF, 
  0x7FFF, 0xFFFF, 0x7FFF, 0xFFFF, 
  0x7FFF, 0xFFFF, 0x7FFF, 0xFFFF, 
  0x3FFF, 0xFFFF, 0x0000, 0x0000
};

static  WORD RS5_MDATA[] =
{ 0x0000, 0x0000, 0x0000, 0x0000, 
  0x7FFF, 0xFFF8, 0x4080, 0x0104, 
  0x4080, 0xF902, 0x4080, 0x8903, 
  0x4080, 0x8903, 0x4080, 0x8903, 
  0x4080, 0x8903, 0x4080, 0x8903, 
  0x4080, 0xF903, 0x4080, 0x0103, 
  0x407F, 0xFE03, 0x4000, 0x0003, 
  0x4000, 0x0003, 0x41FF, 0xFFC3, 
  0x4100, 0x0043, 0x4100, 0x0043, 
  0x4100, 0x0043, 0x4100, 0x0043, 
  0x4100, 0x0043, 0x4100, 0x0043, 
  0x4100, 0x0043, 0x4100, 0x0043, 
  0x4100, 0x0043, 0x5D00, 0x0043, 
  0x5500, 0x0043, 0x5D00, 0x0043, 
  0x4100, 0x0043, 0x7FFF, 0xFFFF, 
  0x3FFF, 0xFFFF, 0x0000, 0x0000
};

static  WORD RS5_4CMASK[] =
{ 0xFFFF, 0xFFF8, 0xFFFF, 0xFFFC, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0x7FFF, 0xFFFF
};

static  WORD RS5_4CDATA[] =
{ 0xFFFF, 0xFFF8, 0x8080, 0x0044, 
  0x8880, 0x3C42, 0x8880, 0x2041, 
  0x8880, 0x2043, 0x88FF, 0xE3C3, 
  0x8880, 0x2043, 0x88AA, 0xA143, 
  0x88FF, 0xE343, 0x8880, 0x0043, 
  0x88FF, 0xFFC3, 0x8000, 0x0003, 
  0x8000, 0x0003, 0x8000, 0x0003, 
  0x8000, 0x0003, 0x8000, 0x0003, 
  0x8000, 0x0003, 0x8000, 0x0003, 
  0x8000, 0x0023, 0x81FF, 0xFFC3, 
  0x81FF, 0xFFC3, 0x81FF, 0xFFC3, 
  0x81FF, 0xFFC3, 0x81FF, 0xFFC3, 
  0x81FF, 0xFFC3, 0x81FF, 0xFFC3, 
  0x81FF, 0xFFC3, 0x99FF, 0xFFC3, 
  0x99FF, 0xFFC3, 0x81FF, 0xFFC3, 
  0xBE00, 0x001F, 0x7FFF, 0xFFFF, 
  0xFFFF, 0xFFF8, 0xB080, 0x005C, 
  0xC880, 0x3C62, 0xC880, 0x2061, 
  0xC880, 0x2063, 0xC8FF, 0xE3E3, 
  0xC880, 0x2063, 0xC8AA, 0xA163, 
  0xC8FF, 0xE363, 0xC880, 0x0063, 
  0xC8FF, 0xFFE3, 0xC7FF, 0xFFE3, 
  0xC000, 0x0003, 0xC000, 0x0003, 
  0xC000, 0x0003, 0xC000, 0x0003, 
  0xC000, 0x0003, 0xC000, 0x0003, 
  0xC000, 0x0023, 0xC1FF, 0xFFC3, 
  0xC1FF, 0xFFC3, 0xC1FF, 0xFFC3, 
  0xC1FF, 0xFFC3, 0xC1FF, 0xFFC3, 
  0xC1FF, 0xFFC3, 0xC1FF, 0xFFC3, 
  0xC1FF, 0xFFC3, 0xD9FF, 0xFFC3, 
  0xD9FF, 0xFFC3, 0xC1FF, 0xFFC3, 
  0xBE00, 0x001F, 0x7FFF, 0xFFFF, 
  0xFFFF, 0xFFF8, 0xBF80, 0x005C, 
  0xFF80, 0x3C7E, 0xFF80, 0x3C7F, 
  0xFF80, 0x3C7F, 0xFFFF, 0xFFFF, 
  0xFF80, 0x3C7F, 0xFFAA, 0xBD7F, 
  0xFFFF, 0xFF7F, 0xFF80, 0x007F, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFC00, 0x003F, 0xFDFF, 0xFFDF, 
  0xFDFF, 0xFFDF, 0xFDFF, 0xFFDF, 
  0xFDFF, 0xFFDF, 0xFDFF, 0xFFDF, 
  0xFDFF, 0xFFDF, 0xFDFF, 0xFFDF, 
  0xFDFF, 0xFFDF, 0xFDFF, 0xFFDF, 
  0xFDFF, 0xFFDF, 0xFDFF, 0xFFDF, 
  0xFE00, 0x001F, 0x7FFF, 0xFFFF, 
  0xFFFF, 0xFFF8, 0x98FF, 0xFFCC, 
  0x8880, 0x3CC6, 0xC880, 0x20E3, 
  0xC880, 0x20E3, 0xC8FF, 0xE3E3, 
  0xC8FF, 0xE3E3, 0xC8D5, 0x62E3, 
  0xC880, 0x20E3, 0xC880, 0x00E3, 
  0xC8FF, 0xFFE3, 0xCFFF, 0xFFC3, 
  0xC000, 0x0003, 0xC000, 0x0003, 
  0xC000, 0x0003, 0xC000, 0x0003, 
  0xC000, 0x0003, 0xC000, 0x0003, 
  0xC000, 0x0003, 0xC000, 0x0023, 
  0xC000, 0x0023, 0xC000, 0x0023, 
  0xC000, 0x0023, 0xC000, 0x0023, 
  0xC000, 0x0023, 0xC000, 0x0023, 
  0xC000, 0x0023, 0xD800, 0x0023, 
  0xD800, 0x0023, 0xC000, 0x0023, 
  0xFDFF, 0xFFFF, 0x7FFF, 0xFFFF
};

static  WORD RS5_4SMASK[] =
{ 0xFFFF, 0xFFF8, 0xFFFF, 0xFFFC, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0x7FFF, 0xFFFF
};

static  WORD RS5_4SDATA[] =
{ 0xFFFF, 0xFFF8, 0x8400, 0x0204, 
  0x8C01, 0xE202, 0x8C01, 0x0201, 
  0x8C01, 0x0203, 0x8FFF, 0x1E03, 
  0x8C01, 0x0203, 0x8D55, 0x0A03, 
  0x8FFF, 0x1A03, 0x8C00, 0x0203, 
  0x8FFF, 0xFE03, 0x8000, 0x0003, 
  0x8000, 0x0003, 0x8000, 0x0003, 
  0x8000, 0x0003, 0x8000, 0x0003, 
  0x8000, 0x0003, 0x8000, 0x0003, 
  0x8000, 0x0023, 0x81FF, 0xFFC3, 
  0x81FF, 0xFFC3, 0x81FF, 0xFFC3, 
  0x81FF, 0xFFC3, 0x81FF, 0xFFC3, 
  0x81FF, 0xFFC3, 0x81FF, 0xFFC3, 
  0x81FF, 0xFFC3, 0x99FF, 0xFFC3, 
  0x99FF, 0xFFC3, 0x81FF, 0xFFC3, 
  0xBE00, 0x001F, 0x7FFF, 0xFFFF, 
  0xFFFF, 0xFFF8, 0xB400, 0x021C, 
  0xCC01, 0xE222, 0xCC01, 0x0221, 
  0xCC01, 0x0223, 0xCFFF, 0x1E23, 
  0xCC01, 0x0223, 0xCD55, 0x0A23, 
  0xCFFF, 0x1A23, 0xCC00, 0x0223, 
  0xCFFF, 0xFE23, 0xC7FF, 0xFFE3, 
  0xC000, 0x0003, 0xC000, 0x0003, 
  0xC000, 0x0003, 0xC000, 0x0003, 
  0xC000, 0x0003, 0xC000, 0x0003, 
  0xC000, 0x0023, 0xC1FF, 0xFFC3, 
  0xC1FF, 0xFFC3, 0xC1FF, 0xFFC3, 
  0xC1FF, 0xFFC3, 0xC1FF, 0xFFC3, 
  0xC1FF, 0xFFC3, 0xC1FF, 0xFFC3, 
  0xC1FF, 0xFFC3, 0xD9FF, 0xFFC3, 
  0xD9FF, 0xFFC3, 0xC1FF, 0xFFC3, 
  0xBE00, 0x001F, 0x7FFF, 0xFFFF, 
  0xFFFF, 0xFFF8, 0xBC00, 0x03DC, 
  0xFC01, 0xE3FE, 0xFC01, 0x03FF, 
  0xFC01, 0x03FF, 0xFFFF, 0x1FFF, 
  0xFC01, 0x03FF, 0xFD55, 0x0BFF, 
  0xFFFF, 0x1BFF, 0xFC00, 0x03FF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFC00, 0x003F, 0xFDFF, 0xFFDF, 
  0xFDFF, 0xFFDF, 0xFDFF, 0xFFDF, 
  0xFDFF, 0xFFDF, 0xFDFF, 0xFFDF, 
  0xFDFF, 0xFFDF, 0xFDFF, 0xFFDF, 
  0xFDFF, 0xFFDF, 0xFDFF, 0xFFDF, 
  0xFDFF, 0xFFDF, 0xFDFF, 0xFFDF, 
  0xFE00, 0x001F, 0x7FFF, 0xFFFF, 
  0xFFFF, 0xFFF8, 0x9FFF, 0xFE0C, 
  0x8C01, 0xE606, 0xCC01, 0x0623, 
  0xCC01, 0xE623, 0xCFFF, 0xFE23, 
  0xCFFF, 0xFE23, 0xCEAB, 0xF623, 
  0xCC01, 0xE623, 0xCC00, 0x0623, 
  0xCFFF, 0xFE23, 0xCFFF, 0xFFC3, 
  0xC000, 0x0003, 0xC000, 0x0003, 
  0xC000, 0x0003, 0xC000, 0x0003, 
  0xC000, 0x0003, 0xC000, 0x0003, 
  0xC000, 0x0003, 0xC000, 0x0023, 
  0xC000, 0x0023, 0xC000, 0x0023, 
  0xC000, 0x0023, 0xC000, 0x0023, 
  0xC000, 0x0023, 0xC000, 0x0023, 
  0xC000, 0x0023, 0xD800, 0x0023, 
  0xD800, 0x0023, 0xC000, 0x0023, 
  0xFDFF, 0xFFFF, 0x7FFF, 0xFFFF
};

static  CICON rs_cicon[] =
{ 4, RS0_4CDATA, RS0_4CMASK, RS0_4SDATA, RS0_4SMASK, NULL,
  4, RS1_4CDATA, RS1_4CMASK, RS1_4SDATA, RS1_4SMASK, NULL,
  4, RS2_4CDATA, RS2_4CMASK, RS2_4SDATA, RS2_4SMASK, NULL,
  4, RS3_4CDATA, RS3_4CMASK, RS3_4SDATA, RS3_4SMASK, NULL,
  4, RS4_4CDATA, RS4_4CMASK, RS4_4SDATA, RS4_4SMASK, NULL,
  4, RS5_4CDATA, RS5_4CMASK, RS5_4SDATA, RS5_4SMASK, NULL
};

static  CICONBLK rs_ciconblk[] =
{ RS0_MMASK, RS0_MDATA, "\0", 0x1000|'\0',
    0,   0,   0,   0,  32,  32,   0,   0,   0,   8, &rs_cicon[0],
  RS1_MMASK, RS1_MDATA, "\0", 0x1000|'\0',
    0,   0,   0,   0,  32,  32,   0,   0,   0,   8, &rs_cicon[1],
  RS2_MMASK, RS2_MDATA, "\0", 0x1000|'\0',
    0,   0,   0,   0,  48,  32,   0,   0,   0,   8, &rs_cicon[2],
  RS3_MMASK, RS3_MDATA, "\0", 0x1000|'\0',
    0,   0,   0,   0,  32,  32,   0,   0,   0,   8, &rs_cicon[3],
  RS4_MMASK, RS4_MDATA, "\0", 0x1000|'\0',
    0,   0,   0,   0,  32,  32,   0,   0,   0,   8, &rs_cicon[4],
  RS5_MMASK, RS5_MDATA, "\0", 0x1000|'\0',
   13,  22,   0,   0,  32,  32,   0,   0,   0,   8, &rs_cicon[5]
};
/*
static  WORD rgb_palette[][4] =
{ 0x03E8, 0x03E8, 0x03E8, 0x0000, 
  0x03E8, 0x0000, 0x0000, 0x0002, 
  0x0000, 0x03E8, 0x0000, 0x0003, 
  0x03E8, 0x03E8, 0x0000, 0x0006, 
  0x0000, 0x0000, 0x03E8, 0x0004, 
  0x03E8, 0x0000, 0x03E8, 0x0007, 
  0x0000, 0x03E8, 0x03E8, 0x0005, 
  0x0329, 0x0329, 0x0329, 0x0008, 
  0x01EC, 0x01EC, 0x01EC, 0x0009, 
  0x01EC, 0x0000, 0x0000, 0x000A, 
  0x0000, 0x01EC, 0x0000, 0x000B, 
  0x01EC, 0x01EC, 0x0000, 0x000E, 
  0x0000, 0x0000, 0x01EC, 0x000C, 
  0x01EC, 0x0000, 0x01EC, 0x000F, 
  0x0000, 0x01EC, 0x01EC, 0x000D, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0001
};
*/
static  BYTE *rs_frstr[] =
{ "[3][L\047\202x\202cutable de POV est|introuvable !][Annuler]",
  "[3][I can\047t find the POV|program !][Cancel]",
  "[3][L\047\202x\202cutable du traitement|de texte est introuvable !][Annuler]",
  "[3][I can\047t find the editor|program !][Cancel]",
  "[3][Erreur pendant le|chargement !][Annuler]",
  "[3][An error has occured|while loading !][Cancel]",
  "[3][Erreur pendant la|sauvegarde !][Annuler]",
  "[3][An error has occured|while saving !][Cancel]",
  "POVshell est distribu\202|POVshell is distributed under",
  "selon les termes de la|terms of the",
  " Param\212tres| Parameters",
  " POV II| POV II",
  " Pr\202f\202rences| Preferences",
  " Disque| Disk",
  " Acc\202s EGlib| EGlib acces",
  " Lancer POV| Launch POV",
  " Lancer TdT| Launch Editor",
  " Quitter| Quit",
  "Num\202ro Ligne|Line number",
  "Arr\210t touche|Abort w/key",
  "Touche Fin|Key at end",
  "Continuer|Continue",
  "Touche Erreur|Key on error",
  "Sortie:|Output:",
  "Affichage:|Display:",
  "Qualit\202:|Quality:",
  "Largeur:|Width:",
  "Hauteur:|Height:",
  "D\202but:|Begin:",
  "Fin:|End:",
  " Calcul:   Fin:| Working:  At end:",
  " Aucun     Pal.Opt.| None      Opt.Pal.",
  " Pal.fixe  Pal.fixe| Fix.Pal.  Fix.Pal.",
  " Pal.fixe  Pal.Opt.| Fix.Pal.  Opt.Pal.",
  " Pal.Comp. Pal.Comp.| Comp.Pal. Comp.Pal.",
  "Param\212tres d\047antialias|Antialias Parameters",
  "Divers|Divers",
  "SLABS pour n objets:|SLABS for n objects:",
  "Taille table symboles:|Symbols table lenght:",
  "Compatibilit\202 avec POV v1.0|Compatibility with POV v1.0",
  "Lancement t\203che de fond|Multitask launching",
  "Mode de commande POV II|POV II command mode",
  "[Charger|[Load",
  "[Sauver|[Save",
  "TdT:|Editor:",
  "INFORMATIONS|INFORMATIONS",
  "PARAMETRES|PARAMETERS",
  "PARAMETRES POV II|POV II PARAMETERS",
  "PREFERENCES|PREFERENCES",
  "CHEMINS DES FICHIERS|FILES\047DIRECTORY"
};

static  OBJECT rs_object[] =
{ 
  /******** Tree 0 MENU0 ****************************************************/
        -1,        1,        6, G_IBOX            ,   /* Object 0  */
  NONE, NORMAL, (LONG)0x00000000L,
  0x0000, 0x0000, 0x0050, 0x0019,
         6,        2,        2, G_BOX             ,   /* Object 1  */
  NONE, NORMAL, (LONG)0x00001100L,
  0x0000, 0x0000, 0x0050, 0x0201,
         1,        3,        5, G_IBOX            ,   /* Object 2  */
  NONE, NORMAL, (LONG)0x00000000L,
  0x0002, 0x0000, 0x001C, 0x0301,
         4,       -1,       -1, G_TITLE           ,   /* Object 3  */
  NONE, NORMAL, (LONG)" POVshell",
  0x0000, 0x0000, 0x000A, 0x0301,
         5,       -1,       -1, G_TITLE           ,   /* Object 4  */
  NONE, NORMAL, (LONG)" Fichier",
  0x000A, 0x0000, 0x0009, 0x0301,
         2,       -1,       -1, G_TITLE           ,   /* Object 5  */
  NONE, NORMAL, (LONG)" Options",
  0x0013, 0x0000, 0x0009, 0x0301,
         0,        7,       24, G_IBOX            ,   /* Object 6  */
  NONE, NORMAL, (LONG)0x00000000L,
  0x0000, 0x0301, 0x0050, 0x0017,
        16, MINFO           ,       15, G_BOX             ,   /* Object 7  */
  NONE, NORMAL, (LONG)0x00FF1100L,
  0x0002, 0x0000, 0x0014, 0x0008,
         9,       -1,       -1, G_STRING          ,   /* Object 8 MINFO */
  NONE, NORMAL, (LONG)"  Informations   ^I ",
  0x0000, 0x0000, 0x0014, 0x0001,
        10,       -1,       -1, G_STRING          ,   /* Object 9  */
  NONE, DISABLED, (LONG)"--------------------",
  0x0000, 0x0001, 0x0014, 0x0001,
        11,       -1,       -1, G_STRING          ,   /* Object 10  */
  NONE, NORMAL, (LONG)"  Desk Accessory 1  ",
  0x0000, 0x0002, 0x0014, 0x0001,
        12,       -1,       -1, G_STRING          ,   /* Object 11  */
  NONE, NORMAL, (LONG)"  Desk Accessory 2  ",
  0x0000, 0x0003, 0x0014, 0x0001,
        13,       -1,       -1, G_STRING          ,   /* Object 12  */
  NONE, NORMAL, (LONG)"  Desk Accessory 3  ",
  0x0000, 0x0004, 0x0014, 0x0001,
        14,       -1,       -1, G_STRING          ,   /* Object 13  */
  NONE, NORMAL, (LONG)"  Desk Accessory 4  ",
  0x0000, 0x0005, 0x0014, 0x0001,
        15,       -1,       -1, G_STRING          ,   /* Object 14  */
  NONE, NORMAL, (LONG)"  Desk Accessory 5  ",
  0x0000, 0x0006, 0x0014, 0x0001,
         7,       -1,       -1, G_STRING          ,   /* Object 15  */
  NONE, NORMAL, (LONG)"  Desk Accessory 6  ",
  0x0000, 0x0007, 0x0014, 0x0001,
        24, MCINF           , MQUIT           , G_BOX             ,   /* Object 16  */
  NONE, NORMAL, (LONG)0x00FF1100L,
  0x000C, 0x0000, 0x0014, 0x0007,
  MSINF           ,       -1,       -1, G_STRING          ,   /* Object 17 MCINF */
  NONE, NORMAL, (LONG)"  Charger *.INF  ^O ",
  0x0000, 0x0000, 0x0014, 0x0001,
        19,       -1,       -1, G_STRING          ,   /* Object 18 MSINF */
  NONE, NORMAL, (LONG)"  Sauver  *.INF  ^S ",
  0x0000, 0x0001, 0x0014, 0x0001,
  MPOV            ,       -1,       -1, G_STRING          ,   /* Object 19  */
  NONE, DISABLED, (LONG)"--------------------",
  0x0000, 0x0002, 0x0014, 0x0001,
  MTDT            ,       -1,       -1, G_STRING          ,   /* Object 20 MPOV */
  NONE, NORMAL, (LONG)"  Lancer POV     ^A ",
  0x0000, 0x0003, 0x0014, 0x0001,
        22,       -1,       -1, G_STRING          ,   /* Object 21 MTDT */
  NONE, NORMAL, (LONG)"  Lancer TdT     ^T ",
  0x0000, 0x0004, 0x0014, 0x0001,
  MQUIT           ,       -1,       -1, G_STRING          ,   /* Object 22  */
  NONE, DISABLED, (LONG)"--------------------",
  0x0000, 0x0005, 0x0014, 0x0001,
        16,       -1,       -1, G_STRING          ,   /* Object 23 MQUIT */
  NONE, NORMAL, (LONG)"  Quitter        ^Q ",
  0x0000, 0x0006, 0x0014, 0x0001,
         6, MPARAM          , MEGLIB          , G_BOX             ,   /* Object 24  */
  NONE, NORMAL, (LONG)0x00FF1000L,
  0x0015, 0x0000, 0x0012, 0x0005,
  MPOVII          ,       -1,       -1, G_STRING          ,   /* Object 25 MPARAM */
  NONE, NORMAL, (LONG)"  Param\212tres   ^P ",
  0x0000, 0x0000, 0x0012, 0x0001,
  MPREF           ,       -1,       -1, G_STRING          ,   /* Object 26 MPOVII */
  NONE, NORMAL, (LONG)"  POV II       ^V ",
  0x0000, 0x0001, 0x0012, 0x0001,
  MDISK           ,       -1,       -1, G_STRING          ,   /* Object 27 MPREF */
  NONE, NORMAL, (LONG)"  Pr\202f\202rences  ^F ",
  0x0000, 0x0002, 0x0012, 0x0001,
  MEGLIB          ,       -1,       -1, G_STRING          ,   /* Object 28 MDISK */
  NONE, NORMAL, (LONG)"  Disque       ^K ",
  0x0000, 0x0003, 0x0012, 0x0001,
        24,       -1,       -1, G_STRING          ,   /* Object 29 MEGLIB */
  LASTOB, NORMAL, (LONG)"  Acc\202s EGlib  ^E ",
  0x0000, 0x0004, 0x0012, 0x0001,
  
  /******** Tree 1 MENU1 ****************************************************/
        -1,        1,        6, G_IBOX            ,   /* Object 0  */
  NONE, NORMAL, (LONG)0x00000000L,
  0x0000, 0x0000, 0x0050, 0x0019,
         6,        2,        2, G_BOX             ,   /* Object 1  */
  NONE, NORMAL, (LONG)0x00001100L,
  0x0000, 0x0000, 0x0050, 0x0201,
         1,        3,        5, G_IBOX            ,   /* Object 2  */
  NONE, NORMAL, (LONG)0x00000000L,
  0x0002, 0x0000, 0x0019, 0x0301,
         4,       -1,       -1, G_TITLE           ,   /* Object 3  */
  NONE, NORMAL, (LONG)" POVshell",
  0x0000, 0x0000, 0x000A, 0x0301,
         5,       -1,       -1, G_TITLE           ,   /* Object 4  */
  NONE, NORMAL, (LONG)" File",
  0x000A, 0x0000, 0x0006, 0x0301,
         2,       -1,       -1, G_TITLE           ,   /* Object 5  */
  NONE, NORMAL, (LONG)" Options",
  0x0010, 0x0000, 0x0009, 0x0301,
         0,        7,       24, G_IBOX            ,   /* Object 6  */
  NONE, NORMAL, (LONG)0x00000000L,
  0x0000, 0x0301, 0x0050, 0x0017,
        16,        8,       15, G_BOX             ,   /* Object 7  */
  NONE, NORMAL, (LONG)0x00FF1100L,
  0x0002, 0x0000, 0x0014, 0x0008,
         9,       -1,       -1, G_STRING          ,   /* Object 8  */
  NONE, NORMAL, (LONG)"  Informations   ^I ",
  0x0000, 0x0000, 0x0014, 0x0001,
        10,       -1,       -1, G_STRING          ,   /* Object 9  */
  NONE, DISABLED, (LONG)"--------------------",
  0x0000, 0x0001, 0x0014, 0x0001,
        11,       -1,       -1, G_STRING          ,   /* Object 10  */
  NONE, NORMAL, (LONG)"  Desk Accessory 1  ",
  0x0000, 0x0002, 0x0014, 0x0001,
        12,       -1,       -1, G_STRING          ,   /* Object 11  */
  NONE, NORMAL, (LONG)"  Desk Accessory 2  ",
  0x0000, 0x0003, 0x0014, 0x0001,
        13,       -1,       -1, G_STRING          ,   /* Object 12  */
  NONE, NORMAL, (LONG)"  Desk Accessory 3  ",
  0x0000, 0x0004, 0x0014, 0x0001,
        14,       -1,       -1, G_STRING          ,   /* Object 13  */
  NONE, NORMAL, (LONG)"  Desk Accessory 4  ",
  0x0000, 0x0005, 0x0014, 0x0001,
        15,       -1,       -1, G_STRING          ,   /* Object 14  */
  NONE, NORMAL, (LONG)"  Desk Accessory 5  ",
  0x0000, 0x0006, 0x0014, 0x0001,
         7,       -1,       -1, G_STRING          ,   /* Object 15  */
  NONE, NORMAL, (LONG)"  Desk Accessory 6  ",
  0x0000, 0x0007, 0x0014, 0x0001,
        24,       17,       23, G_BOX             ,   /* Object 16  */
  NONE, NORMAL, (LONG)0x00FF1100L,
  0x000C, 0x0000, 0x0014, 0x0007,
        18,       -1,       -1, G_STRING          ,   /* Object 17  */
  NONE, NORMAL, (LONG)"  Laod *.INF     ^O ",
  0x0000, 0x0000, 0x0014, 0x0001,
        19,       -1,       -1, G_STRING          ,   /* Object 18  */
  NONE, NORMAL, (LONG)"  Save  *.INF    ^S ",
  0x0000, 0x0001, 0x0014, 0x0001,
        20,       -1,       -1, G_STRING          ,   /* Object 19  */
  NONE, DISABLED, (LONG)"--------------------",
  0x0000, 0x0002, 0x0014, 0x0001,
        21,       -1,       -1, G_STRING          ,   /* Object 20  */
  NONE, NORMAL, (LONG)"  Launch POV     ^A ",
  0x0000, 0x0003, 0x0014, 0x0001,
        22,       -1,       -1, G_STRING          ,   /* Object 21  */
  NONE, NORMAL, (LONG)"  Launch Editor  ^T ",
  0x0000, 0x0004, 0x0014, 0x0001,
        23,       -1,       -1, G_STRING          ,   /* Object 22  */
  NONE, DISABLED, (LONG)"--------------------",
  0x0000, 0x0005, 0x0014, 0x0001,
        16,       -1,       -1, G_STRING          ,   /* Object 23  */
  NONE, NORMAL, (LONG)"  Quit           ^Q ",
  0x0000, 0x0006, 0x0014, 0x0001,
         6,       25,       29, G_BOX             ,   /* Object 24  */
  NONE, NORMAL, (LONG)0x00FF1000L,
  0x0012, 0x0000, 0x0012, 0x0005,
        26,       -1,       -1, G_STRING          ,   /* Object 25  */
  NONE, NORMAL, (LONG)"  Parameters   ^P ",
  0x0000, 0x0000, 0x0012, 0x0001,
        27,       -1,       -1, G_STRING          ,   /* Object 26  */
  NONE, NORMAL, (LONG)"  POV II       ^V ",
  0x0000, 0x0001, 0x0012, 0x0001,
        28,       -1,       -1, G_STRING          ,   /* Object 27  */
  NONE, NORMAL, (LONG)"  Preferences  ^F ",
  0x0000, 0x0002, 0x0012, 0x0001,
        29,       -1,       -1, G_STRING          ,   /* Object 28  */
  NONE, NORMAL, (LONG)"  Disk         ^K ",
  0x0000, 0x0003, 0x0012, 0x0001,
        24,       -1,       -1, G_STRING          ,   /* Object 29  */
  LASTOB, NORMAL, (LONG)"  EGlib acces  ^E ",
  0x0000, 0x0004, 0x0012, 0x0001,
  
  /******** Tree 2 FINFO ****************************************************/
        -1,        1,       10, G_BOX             ,   /* Object 0  */
  NONE, WHITEBAK, (LONG)0x00FF1180L,
  0x0000, 0x0000, 0x0022, 0x0010,
         4,        2, INFDAT          , G_BOX             ,   /* Object 1  */
  NONE, OUTLINED|WHITEBAK, (LONG)0x00FF1100L,
  0x0001, 0x0001, 0x0020, 0x0004,
  INFDAT          ,       -1,       -1, G_TEXT            |0x1800,   /* Object 2  */
  NONE, STATE10|STATE13, (LONG)&rs_tedinfo[0],
  0x0001, 0x0000, 0x001E, 0x0003,
         1,       -1,       -1, G_TEXT            ,   /* Object 3 INFDAT */
  NONE, NORMAL, (LONG)&rs_tedinfo[1],
  0x0001, 0x0003, 0x001E, 0x0001,
        10,        5,        9, G_BOX             ,   /* Object 4  */
  NONE, OUTLINED|WHITEBAK, (LONG)0x00FF1100L,
  0x0001, 0x0006, 0x0020, 0x0005,
         6,       -1,       -1, G_TEXT            ,   /* Object 5  */
  NONE, NORMAL, (LONG)&rs_tedinfo[2],
  0x0001, 0x0000, 0x001E, 0x0001,
         7,       -1,       -1, G_TEXT            ,   /* Object 6  */
  NONE, NORMAL, (LONG)&rs_tedinfo[3],
  0x0001, 0x0001, 0x001E, 0x0001,
         8,       -1,       -1, G_TEXT            ,   /* Object 7  */
  NONE, NORMAL, (LONG)&rs_tedinfo[4],
  0x0001, 0x0002, 0x001E, 0x0001,
         9,       -1,       -1, G_TEXT            ,   /* Object 8  */
  NONE, NORMAL, (LONG)&rs_tedinfo[5],
  0x0001, 0x0003, 0x001E, 0x0001,
         4,       -1,       -1, G_TEXT            ,   /* Object 9  */
  NONE, NORMAL, (LONG)&rs_tedinfo[6],
  0x0001, 0x0004, 0x001E, 0x0001,
         0, FINFT1          ,       13, G_BOX             ,   /* Object 10  */
  NONE, OUTLINED|WHITEBAK, (LONG)0x00FF1100L,
  0x0001, 0x000C, 0x0020, 0x0003,
  FINFT2          ,       -1,       -1, G_TEXT            ,   /* Object 11 FINFT1 */
  NONE, NORMAL, (LONG)&rs_tedinfo[7],
  0x0001, 0x0000, 0x001E, 0x0001,
        13,       -1,       -1, G_TEXT            ,   /* Object 12 FINFT2 */
  NONE, NORMAL, (LONG)&rs_tedinfo[8],
  0x0001, 0x0001, 0x001E, 0x0001,
        10,       -1,       -1, G_TEXT            ,   /* Object 13  */
  LASTOB, STATE10, (LONG)&rs_tedinfo[9],
  0x0001, 0x0002, 0x001E, 0x0001,
  
  /******** Tree 3 PINFO ****************************************************/
        -1, PINFPAR         , PINFQUIT        , G_BOX             ,   /* Object 0  */
  NONE, SHADOWED, (LONG)0x00FF1100L,
  0x0000, 0x0000, 0x0010, 0x000A,
  PINFPOV2        ,       -1,       -1, G_STRING          ,   /* Object 1 PINFPAR */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0000, 0x0000, 0x0010, 0x0001,
  PINFPRF         ,       -1,       -1, G_STRING          ,   /* Object 2 PINFPOV2 */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0000, 0x0001, 0x0010, 0x0001,
  PINFDSK         ,       -1,       -1, G_STRING          ,   /* Object 3 PINFPRF */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0000, 0x0002, 0x0010, 0x0001,
  PINFLIB         ,       -1,       -1, G_STRING          ,   /* Object 4 PINFDSK */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0000, 0x0003, 0x0010, 0x0001,
         6,       -1,       -1, G_STRING          ,   /* Object 5 PINFLIB */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0000, 0x0004, 0x0010, 0x0001,
  PINFPOV         ,       -1,       -1, G_STRING          ,   /* Object 6  */
  NONE, DISABLED, (LONG)"----------------",
  0x0000, 0x0005, 0x0010, 0x0001,
  PINFTDT         ,       -1,       -1, G_STRING          ,   /* Object 7 PINFPOV */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0000, 0x0006, 0x0010, 0x0001,
         9,       -1,       -1, G_STRING          ,   /* Object 8 PINFTDT */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0000, 0x0007, 0x0010, 0x0001,
  PINFQUIT        ,       -1,       -1, G_STRING          ,   /* Object 9  */
  NONE, DISABLED, (LONG)"----------------",
  0x0000, 0x0008, 0x0010, 0x0001,
         0,       -1,       -1, G_STRING          ,   /* Object 10 PINFQUIT */
  SELECTABLE|LASTOB, NORMAL, (LONG)"\0",
  0x0000, 0x0009, 0x0010, 0x0001,
  
  /******** Tree 4 FPARAM ****************************************************/
        -1, FPARNLG         , FPARNLFN        , G_BOX             ,   /* Object 0  */
  NONE, WHITEBAK, (LONG)0x00FF1180L,
  0x0000, 0x0000, 0x0026, 0x0010,
  FPARBRK         ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 1 FPARNLG */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0001, 0x0001, 0x0010, 0x0001,
  FPARKFN         ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 2 FPARBRK */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0015, 0x0001, 0x0010, 0x0001,
  FPARCON         ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 3 FPARKFN */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0001, 0x0002, 0x0010, 0x0001,
  FPARKER         ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 4 FPARCON */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0015, 0x0002, 0x0010, 0x0001,
  FPARFMT         ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 5 FPARKER */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0001, 0x0003, 0x0010, 0x0001,
  FPARPFMT        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 6 FPARFMT */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0001, 0x0005, 0x000D, 0x0001,
  FPARAFF         ,       -1,       -1, G_BUTTON          |0x0300,   /* Object 7 FPARPFMT */
  SELECTABLE, DRAW3D, (LONG)"FPARPFMT--------------",
  0x000F, 0x0005, 0x0016, 0x0001,
  FPARPAFF        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 8 FPARAFF */
  SELECTABLE, WHITEBAK, (LONG)"\0",
  0x0001, 0x0007, 0x000D, 0x0001,
  FPARALS         ,       -1,       -1, G_BUTTON          |0x0300,   /* Object 9 FPARPAFF */
  SELECTABLE, DRAW3D, (LONG)"FPARPAFF--------------",
  0x000F, 0x0007, 0x0016, 0x0001,
  FPARNALS        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 10 FPARALS */
  SELECTABLE, WHITEBAK, (LONG)"A/Alias:",
  0x0001, 0x0009, 0x000A, 0x0001,
  FPARQUAL        ,       -1,       -1, G_FTEXT           ,   /* Object 11 FPARNALS */
  EDITABLE, WHITEBAK|STATE9, (LONG)&rs_tedinfo[10],
  0x000C, 0x0009, 0x0005, 0x0001,
  FPARNQUAL       ,       -1,       -1, G_TEXT            ,   /* Object 12 FPARQUAL */
  NONE, WHITEBAK, (LONG)&rs_tedinfo[11],
  0x0014, 0x0009, 0x0008, 0x0001,
  FPARBUF         ,       -1,       -1, G_FTEXT           ,   /* Object 13 FPARNQUAL */
  EDITABLE, WHITEBAK|STATE9, (LONG)&rs_tedinfo[12],
  0x001F, 0x0009, 0x0006, 0x0001,
  FPARNBUF        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 14 FPARBUF */
  SELECTABLE, WHITEBAK, (LONG)"Buffer:",
  0x0001, 0x000A, 0x000A, 0x0001,
  FPARLRG         ,       -1,       -1, G_FTEXT           ,   /* Object 15 FPARNBUF */
  EDITABLE, WHITEBAK|STATE9, (LONG)&rs_tedinfo[13],
  0x000C, 0x000A, 0x0005, 0x0001,
  FPARNLRG        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 16 FPARLRG */
  SELECTABLE, WHITEBAK, (LONG)"\0",
  0x0001, 0x000C, 0x000A, 0x0001,
  FPARHAU         ,       -1,       -1, G_FTEXT           ,   /* Object 17 FPARNLRG */
  EDITABLE, WHITEBAK|STATE9, (LONG)&rs_tedinfo[14],
  0x000C, 0x000C, 0x0006, 0x0001,
  FPARNHAU        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 18 FPARHAU */
  SELECTABLE, WHITEBAK, (LONG)"\0",
  0x0014, 0x000C, 0x000A, 0x0001,
  FPARCDB         ,       -1,       -1, G_FTEXT           ,   /* Object 19 FPARNHAU */
  EDITABLE, WHITEBAK|STATE9, (LONG)&rs_tedinfo[15],
  0x001F, 0x000C, 0x0006, 0x0001,
  FPARNCDB        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 20 FPARCDB */
  SELECTABLE, WHITEBAK, (LONG)"\0",
  0x0001, 0x000D, 0x000A, 0x0001,
  FPARLDB         ,       -1,       -1, G_FTEXT           ,   /* Object 21 FPARNCDB */
  EDITABLE, WHITEBAK|STATE9, (LONG)&rs_tedinfo[16],
  0x000C, 0x000D, 0x0006, 0x0001,
  FPARNLDB        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 22 FPARLDB */
  SELECTABLE, WHITEBAK, (LONG)"\0",
  0x0014, 0x000D, 0x000A, 0x0001,
  FPARCFN         ,       -1,       -1, G_FTEXT           ,   /* Object 23 FPARNLDB */
  EDITABLE, WHITEBAK|STATE9, (LONG)&rs_tedinfo[17],
  0x001F, 0x000D, 0x0006, 0x0001,
  FPARNCFN        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 24 FPARCFN */
  SELECTABLE, WHITEBAK, (LONG)"\0",
  0x0001, 0x000E, 0x000A, 0x0001,
  FPARLFN         ,       -1,       -1, G_FTEXT           ,   /* Object 25 FPARNCFN */
  EDITABLE, WHITEBAK|STATE9, (LONG)&rs_tedinfo[18],
  0x000C, 0x000E, 0x0006, 0x0001,
  FPARNLFN        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 26 FPARLFN */
  SELECTABLE, WHITEBAK, (LONG)"\0",
  0x0014, 0x000E, 0x000A, 0x0001,
         0,       -1,       -1, G_FTEXT           ,   /* Object 27 FPARNLFN */
  EDITABLE|LASTOB, WHITEBAK|STATE9, (LONG)&rs_tedinfo[19],
  0x001F, 0x000E, 0x0006, 0x0001,
  
  /******** Tree 5 PFORMAT ****************************************************/
        -1, PFMTTGA         , PFMTRAW         , G_BOX             ,   /* Object 0  */
  NONE, SHADOWED, (LONG)0x00FF1100L,
  0x0000, 0x0000, 0x000D, 0x0003,
  PFMTDIS         ,       -1,       -1, G_TEXT            ,   /* Object 1 PFMTTGA */
  SELECTABLE, NORMAL, (LONG)&rs_tedinfo[20],
  0x0000, 0x0000, 0x000D, 0x0001,
  PFMTRAW         ,       -1,       -1, G_TEXT            ,   /* Object 2 PFMTDIS */
  SELECTABLE, NORMAL, (LONG)&rs_tedinfo[21],
  0x0000, 0x0001, 0x000D, 0x0001,
         0,       -1,       -1, G_TEXT            ,   /* Object 3 PFMTRAW */
  SELECTABLE|LASTOB, NORMAL, (LONG)&rs_tedinfo[22],
  0x0000, 0x0002, 0x000D, 0x0001,
  
  /******** Tree 6 PDISPLAY ****************************************************/
        -1, PDISCAL         , PDIS4           , G_BOX             ,   /* Object 0  */
  NONE, SHADOWED, (LONG)0x00FF1100L,
  0x0000, 0x0000, 0x0014, 0x0006,
         2,       -1,       -1, G_STRING          ,   /* Object 1 PDISCAL */
  NONE, DISABLED, (LONG)"\0",
  0x0000, 0x0000, 0x0014, 0x0001,
  PDIS1           ,       -1,       -1, G_STRING          ,   /* Object 2  */
  NONE, DISABLED, (LONG)"--------------------",
  0x0000, 0x0001, 0x0014, 0x0001,
  PDIS2           ,       -1,       -1, G_STRING          ,   /* Object 3 PDIS1 */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0000, 0x0002, 0x0014, 0x0001,
  PDIS3           ,       -1,       -1, G_STRING          ,   /* Object 4 PDIS2 */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0000, 0x0003, 0x0014, 0x0001,
  PDIS4           ,       -1,       -1, G_STRING          ,   /* Object 5 PDIS3 */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0000, 0x0004, 0x0014, 0x0001,
         0,       -1,       -1, G_STRING          ,   /* Object 6 PDIS4 */
  SELECTABLE|LASTOB, NORMAL, (LONG)"\0",
  0x0000, 0x0005, 0x0014, 0x0001,
  
  /******** Tree 7 FPOV2 ****************************************************/
        -1,        1,        8, G_BOX             ,   /* Object 0  */
  NONE, WHITEBAK, (LONG)0x00FF1180L,
  0x0000, 0x0000, 0x0026, 0x0010,
         8, FPV2T1          , FPV2NJIT        , G_BOX             ,   /* Object 1  */
  NONE, OUTLINED|WHITEBAK, (LONG)0x00FF1100L,
  0x0001, 0x0001, 0x0024, 0x0006,
  FPV2LFG         ,       -1,       -1, G_TEXT            ,   /* Object 2 FPV2T1 */
  NONE, SELECTED, (LONG)&rs_tedinfo[23],
  0x0000, 0x0000, 0x0024, 0x0001,
  FPV2PRF         ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 3 FPV2LFG */
  SELECTABLE, NORMAL, (LONG)"Lafargue",
  0x0001, 0x0002, 0x0010, 0x0001,
  FPV2NPRF        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 4 FPV2PRF */
  SELECTABLE, NORMAL, (LONG)"n*n rays:",
  0x0001, 0x0003, 0x0010, 0x0001,
  FPV2JIT         ,       -1,       -1, G_FTEXT           ,   /* Object 5 FPV2NPRF */
  EDITABLE, WHITEBAK|STATE9, (LONG)&rs_tedinfo[24],
  0x0012, 0x0003, 0x0005, 0x0001,
  FPV2NJIT        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 6 FPV2JIT */
  SELECTABLE, NORMAL, (LONG)"Jitter:",
  0x0001, 0x0004, 0x0010, 0x0001,
         1,       -1,       -1, G_FTEXT           ,   /* Object 7 FPV2NJIT */
  EDITABLE, WHITEBAK|STATE9, (LONG)&rs_tedinfo[25],
  0x0012, 0x0004, 0x0005, 0x0001,
         0, FPV2T2          , FPV2LAN         , G_BOX             ,   /* Object 8  */
  NONE, OUTLINED|WHITEBAK, (LONG)0x00FF1100L,
  0x0001, 0x0008, 0x0024, 0x0007,
  FPV2LAB         ,       -1,       -1, G_TEXT            ,   /* Object 9 FPV2T2 */
  NONE, SELECTED, (LONG)&rs_tedinfo[26],
  0x0000, 0x0000, 0x0024, 0x0001,
  FPV2NLAB        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 10 FPV2LAB */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0001, 0x0002, 0x0019, 0x0001,
  FPV2TAB         ,       -1,       -1, G_FTEXT           ,   /* Object 11 FPV2NLAB */
  EDITABLE, WHITEBAK|STATE9, (LONG)&rs_tedinfo[27],
  0x001B, 0x0002, 0x0008, 0x0001,
  FPV2NTAB        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 12 FPV2TAB */
  SELECTABLE, NORMAL, (LONG)"\0",
  0x0001, 0x0003, 0x0019, 0x0001,
  FPV2CLK         ,       -1,       -1, G_FTEXT           ,   /* Object 13 FPV2NTAB */
  EDITABLE, WHITEBAK|STATE9, (LONG)&rs_tedinfo[28],
  0x001B, 0x0003, 0x0008, 0x0001,
  FPV2NCLK        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 14 FPV2CLK */
  SELECTABLE, NORMAL, (LONG)"Clock:",
  0x0001, 0x0004, 0x0019, 0x0001,
  FPV2LAN         ,       -1,       -1, G_FTEXT           ,   /* Object 15 FPV2NCLK */
  EDITABLE, WHITEBAK|STATE9, (LONG)&rs_tedinfo[29],
  0x001B, 0x0004, 0x0009, 0x0001,
         8,       -1,       -1, G_BUTTON          |0x0100,   /* Object 16 FPV2LAN */
  SELECTABLE|LASTOB, NORMAL, (LONG)"\0",
  0x0001, 0x0005, 0x0022, 0x0001,
  
  /******** Tree 8 FPREF ****************************************************/
        -1,        1, FPRFSAV         , G_BOX             ,   /* Object 0  */
  NONE, WHITEBAK, (LONG)0x00FF1100L,
  0x0000, 0x0000, 0x0022, 0x0008,
  FPRFLOA         , FPRFSHL         , FPRFCMD         , G_BOX             ,   /* Object 1  */
  NONE, OUTLINED|WHITEBAK, (LONG)0x00FF1180L,
  0x0002, 0x0001, 0x001E, 0x0004,
  FPRFCMD         ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 2 FPRFSHL */
  SELECTABLE, WHITEBAK, (LONG)"\0",
  0x0001, 0x0001, 0x001C, 0x0001,
         1,       -1,       -1, G_BUTTON          |0x0100,   /* Object 3 FPRFCMD */
  SELECTABLE, WHITEBAK, (LONG)"\0",
  0x0001, 0x0002, 0x001C, 0x0001,
  FPRFSAV         ,       -1,       -1, G_BUTTON          ,   /* Object 4 FPRFLOA */
  SELECTABLE, DRAW3D|WHITEBAK, (LONG)"\0",
  0x0005, 0x0006, 0x000B, 0x0001,
         0,       -1,       -1, G_BUTTON          ,   /* Object 5 FPRFSAV */
  SELECTABLE|LASTOB, DRAW3D|WHITEBAK, (LONG)"\0",
  0x0013, 0x0006, 0x000B, 0x0001,
  
  /******** Tree 9 FDISK ****************************************************/
        -1,        1,        1, G_BOX             ,   /* Object 0  */
  NONE, WHITEBAK, (LONG)0x00FF1180L,
  0x0000, 0x0000, 0x0024, 0x0010,
         0,        2, FDSKTDTT        , G_BOX             ,   /* Object 1  */
  NONE, OUTLINED|WHITEBAK, (LONG)0x00FF1180L,
  0x0001, 0x0001, 0x0022, 0x000E,
  FDSKINPT        ,       -1,       -1, G_STRING          ,   /* Object 2  */
  NONE, WHITEBAK, (LONG)"Input:",
  0x0004, 0x0001, 0x0008, 0x0001,
  FDSKOUT         ,       -1,       -1, G_FTEXT           ,   /* Object 3 FDSKINPT */
  SELECTABLE, WHITEBAK, (LONG)&rs_tedinfo[30],
  0x000D, 0x0001, 0x0014, 0x0001,
  FDSKOUTT        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 4 FDSKOUT */
  SELECTABLE, WHITEBAK, (LONG)"Output:",
  0x0001, 0x0002, 0x000B, 0x0001,
  FDSKSTA         ,       -1,       -1, G_FTEXT           ,   /* Object 5 FDSKOUTT */
  SELECTABLE, WHITEBAK, (LONG)&rs_tedinfo[31],
  0x000D, 0x0002, 0x0014, 0x0001,
  FDSKSTAT        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 6 FDSKSTA */
  SELECTABLE, WHITEBAK, (LONG)"Stat:",
  0x0001, 0x0003, 0x000B, 0x0001,
         8,       -1,       -1, G_FTEXT           ,   /* Object 7 FDSKSTAT */
  SELECTABLE, WHITEBAK, (LONG)&rs_tedinfo[32],
  0x000D, 0x0003, 0x0014, 0x0001,
  FDSKPOVT        ,       -1,       -1, G_STRING          ,   /* Object 8  */
  NONE, WHITEBAK, (LONG)"POV:",
  0x0004, 0x0005, 0x0008, 0x0001,
  FDSKIN1         ,       -1,       -1, G_FTEXT           ,   /* Object 9 FDSKPOVT */
  SELECTABLE, WHITEBAK, (LONG)&rs_tedinfo[33],
  0x000D, 0x0005, 0x0014, 0x0001,
  FDSKIN1T        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 10 FDSKIN1 */
  SELECTABLE, WHITEBAK, (LONG)"Include:",
  0x0001, 0x0006, 0x000B, 0x0001,
  FDSKIN2         ,       -1,       -1, G_FTEXT           ,   /* Object 11 FDSKIN1T */
  SELECTABLE, WHITEBAK, (LONG)&rs_tedinfo[34],
  0x000D, 0x0006, 0x0014, 0x0001,
  FDSKIN2T        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 12 FDSKIN2 */
  SELECTABLE, WHITEBAK, (LONG)"Include:",
  0x0001, 0x0007, 0x000B, 0x0001,
  FDSKIN3         ,       -1,       -1, G_FTEXT           ,   /* Object 13 FDSKIN2T */
  SELECTABLE, WHITEBAK, (LONG)&rs_tedinfo[35],
  0x000D, 0x0007, 0x0014, 0x0001,
  FDSKIN3T        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 14 FDSKIN3 */
  SELECTABLE, WHITEBAK, (LONG)"Include:",
  0x0001, 0x0008, 0x000B, 0x0001,
  FDSKIN4         ,       -1,       -1, G_FTEXT           ,   /* Object 15 FDSKIN3T */
  SELECTABLE, WHITEBAK, (LONG)&rs_tedinfo[36],
  0x000D, 0x0008, 0x0014, 0x0001,
  FDSKIN4T        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 16 FDSKIN4 */
  SELECTABLE, WHITEBAK, (LONG)"Include:",
  0x0001, 0x0009, 0x000B, 0x0001,
  FDSKIN5         ,       -1,       -1, G_FTEXT           ,   /* Object 17 FDSKIN4T */
  SELECTABLE, WHITEBAK, (LONG)&rs_tedinfo[37],
  0x000D, 0x0009, 0x0014, 0x0001,
  FDSKIN5T        ,       -1,       -1, G_BUTTON          |0x0100,   /* Object 18 FDSKIN5 */
  SELECTABLE, WHITEBAK, (LONG)"Include:",
  0x0001, 0x000A, 0x000B, 0x0001,
  FDSKTDT         ,       -1,       -1, G_FTEXT           ,   /* Object 19 FDSKIN5T */
  SELECTABLE, WHITEBAK, (LONG)&rs_tedinfo[38],
  0x000D, 0x000A, 0x0014, 0x0001,
  FDSKTDTT        ,       -1,       -1, G_STRING          ,   /* Object 20 FDSKTDT */
  NONE, WHITEBAK, (LONG)"\0",
  0x0004, 0x000C, 0x0008, 0x0001,
         1,       -1,       -1, G_FTEXT           ,   /* Object 21 FDSKTDTT */
  SELECTABLE|LASTOB, WHITEBAK, (LONG)&rs_tedinfo[39],
  0x000D, 0x000C, 0x0014, 0x0001,
  
  /******** Tree 10 ICSHELL ****************************************************/
        -1,        1,        2, G_BOX             ,   /* Object 0  */
  NONE, WHITEBAK, (LONG)0x00FF1180L,
  0x0000, 0x0000, 0x0208, 0x0003,
         2,       -1,       -1, G_BOXTEXT         ,   /* Object 1  */
  SELECTABLE|EXIT, SELECTED|STATE9, (LONG)&rs_tedinfo[40],
  0x0000, 0x0000, 0x0208, 0x0001,
         0,       -1,       -1, G_CICON           ,   /* Object 2  */
  LASTOB, STATE15, (LONG)&rs_ciconblk[0],
  0x0002, 0x0001, 0x0004, 0x0004,
  
  /******** Tree 11 ICINFO ****************************************************/
        -1,        1,        2, G_BOX             ,   /* Object 0  */
  NONE, WHITEBAK, (LONG)0x00FF1180L,
  0x0000, 0x0000, 0x0208, 0x0003,
         2,       -1,       -1, G_BOXTEXT         ,   /* Object 1  */
  SELECTABLE|EXIT, SELECTED|STATE9, (LONG)&rs_tedinfo[41],
  0x0000, 0x0000, 0x0208, 0x0001,
         0,       -1,       -1, G_CICON           ,   /* Object 2  */
  LASTOB, STATE15, (LONG)&rs_ciconblk[1],
  0x0002, 0x0001, 0x0004, 0x0004,
  
  /******** Tree 12 ICPARAM ****************************************************/
        -1,        1,        2, G_BOX             ,   /* Object 0  */
  NONE, WHITEBAK, (LONG)0x00FF1180L,
  0x0000, 0x0000, 0x0208, 0x0003,
         2,       -1,       -1, G_BOXTEXT         ,   /* Object 1  */
  SELECTABLE|EXIT, SELECTED|STATE9, (LONG)&rs_tedinfo[42],
  0x0000, 0x0000, 0x0208, 0x0001,
         0,       -1,       -1, G_CICON           ,   /* Object 2  */
  SELECTABLE|LASTOB, STATE15, (LONG)&rs_ciconblk[2],
  0x0001, 0x0001, 0x0006, 0x0004,
  
  /******** Tree 13 ICPOV2 ****************************************************/
        -1,        1,        2, G_BOX             ,   /* Object 0  */
  NONE, WHITEBAK, (LONG)0x00FF1180L,
  0x0000, 0x0000, 0x0208, 0x0003,
         2,       -1,       -1, G_BOXTEXT         ,   /* Object 1  */
  SELECTABLE|EXIT, SELECTED|STATE9, (LONG)&rs_tedinfo[43],
  0x0000, 0x0000, 0x0208, 0x0001,
         0,       -1,       -1, G_CICON           ,   /* Object 2  */
  LASTOB, STATE15, (LONG)&rs_ciconblk[3],
  0x0002, 0x0001, 0x0004, 0x0004,
  
  /******** Tree 14 ICPREF ****************************************************/
        -1,        1,        2, G_BOX             ,   /* Object 0  */
  NONE, WHITEBAK, (LONG)0x00FF1180L,
  0x0000, 0x0000, 0x0208, 0x0003,
         2,       -1,       -1, G_BOXTEXT         ,   /* Object 1  */
  SELECTABLE|EXIT, SELECTED|STATE9, (LONG)&rs_tedinfo[44],
  0x0000, 0x0000, 0x0208, 0x0001,
         0,       -1,       -1, G_CICON           ,   /* Object 2  */
  LASTOB, STATE15, (LONG)&rs_ciconblk[4],
  0x0002, 0x0001, 0x0004, 0x0004,
  
  /******** Tree 15 ICDISK ****************************************************/
        -1,        1,        2, G_BOX             ,   /* Object 0  */
  NONE, WHITEBAK, (LONG)0x00FF1180L,
  0x0000, 0x0000, 0x0208, 0x0003,
         2,       -1,       -1, G_BOXTEXT         ,   /* Object 1  */
  SELECTABLE|EXIT, SELECTED|STATE9, (LONG)&rs_tedinfo[45],
  0x0000, 0x0000, 0x0208, 0x0001,
         0,       -1,       -1, G_CICON           ,   /* Object 2  */
  LASTOB, STATE15, (LONG)&rs_ciconblk[5],
  0x0002, 0x0001, 0x0004, 0x0004
};

static  OBJECT *rs_trindex[] =
{ &rs_object[0],   /* Tree  0 MENU0            */
  &rs_object[30],   /* Tree  1 MENU1            */
  &rs_object[60],   /* Tree  2 FINFO            */
  &rs_object[74],   /* Tree  3 PINFO            */
  &rs_object[85],   /* Tree  4 FPARAM           */
  &rs_object[113],   /* Tree  5 PFORMAT          */
  &rs_object[117],   /* Tree  6 PDISPLAY         */
  &rs_object[124],   /* Tree  7 FPOV2            */
  &rs_object[141],   /* Tree  8 FPREF            */
  &rs_object[147],   /* Tree  9 FDISK            */
  &rs_object[169],   /* Tree 10 ICSHELL          */
  &rs_object[172],   /* Tree 11 ICINFO           */
  &rs_object[175],   /* Tree 12 ICPARAM          */
  &rs_object[178],   /* Tree 13 ICPOV2           */
  &rs_object[181],   /* Tree 14 ICPREF           */
  &rs_object[184]    /* Tree 15 ICDISK           */
};
