/******************************************************************************/
/*	"Easy Gem" library Copyright (c)1994 by		Christophe BOYANIQUE				*/
/*																29 Rue Rpublique					*/
/*																37230 FONDETTES					*/
/*																FRANCE								*/
/*						*small* mail at email adress:	cb@spia.freenix.fr				*/
/******************************************************************************/
/*	This program is free software; you can redistribute it and/or modify it		*/
/*	under the terms of the GNU General Public License as published by the Free	*/
/*	Software Foundation; either version 2 of the License, or any later version.*/
/*	This program is distributed in the hope that it will be useful, but WITHOUT*/
/*	ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or		*/
/* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for	*/
/*	more details.																					*/
/*	You should have received a copy of the GNU General Public License along		*/
/*	with this program; if not, write to the Free Software Foundation, Inc.,		*/
/*	675 Mass Ave, Cambridge, MA 02139, USA.												*/
/******************************************************************************/
/*																										*/
/*	THIS IS POVSHELL SOURCES AS AN EXEMPLE OF USE OF EGlib							*/
/*																										*/
/******************************************************************************/

/******************************************************************************/
/*	WORKING DEFINES:																				*/
/*		FOR DEFINITIVE RELEASE, ALL THIS DEFINES MUST BE CLEARED !					*/
/******************************************************************************/
/*#define		LOAD_RSC*/


/******************************************************************************/
/*	DEFINES																							*/
/******************************************************************************/
#define		RELEASE	"v2.2"


/******************************************************************************/
/*	INCLUDES																							*/
/******************************************************************************/
#include		<stdlib.h>
#include		<vdi.h>
#include		<string.h>
#include		"..\EG_LIB\EGLIB.H"
#include		"POVSHELL.H"


/******************************************************************************/
/*	STRUCTS																							*/
/******************************************************************************/
typedef struct
{
	char		entete[26];		/*	En-Tte	*/
	uint		PARnligne;		/*	PARAM		*/
	uint		PARannul;
	uint		PARtfin;
	uint		PARcont;
	uint		PARterr;
	uint		PARfmt;
	uint		PARfmtV;
	uint		PARdisp;
	uint		PARdispV;
	uint		PARalias;
	uint		PARaliasV;
	uint		PARqual;
	uint		PARbuf;
	uint		PARbufV;
	uint		PARlarg;
	uint		PARlargV;
	uint		PARhaut;
	uint		PARhautV;
	uint		PARcdeb;
	uint		PARcdebV;
	uint		PARldeb;
	uint		PARldebV;
	uint		PARcfin;
	uint		PARcfinV;
	uint		PARlfin;
	uint		PARlfinV;
	uint		PV2lfg;			/*	POV II	*/
	uint		PV2prf;
	uint		PV2prfV;
	uint		PV2jit;
	uint		PV2jitV;
	uint		PV2lab;
	uint		PV2labV;
	uint		PV2tab;
	uint		PV2tabV;
	uint		PV2clk;
	double	PV2clkV;
	uint		PV2lan;
	uint		PRFshl;			/*	PREF		*/
	uint		PRFmv1;
	char		DSKinpT[128];	/*	DISK		*/
	uint		DSKout;
	char		DSKoutT[128];
	uint		DSKsta;
	char		DSKstaT[128];
	char		DSKpovT[128];
	uint		Inc1;
	char		inc1[128];
	uint		Inc2;
	char		inc2[128];
	uint		Inc3;
	char		inc3[128];
	uint		Inc4;
	char		inc4[128];
	uint		Inc5;
	char		inc5[128];
	char		edt[128];
}	PSH_OPT;


/******************************************************************************/
/*	FUNCTIONS DEFINED IN PSH_MAIN.C															*/
/******************************************************************************/
void	init				(void);
void	initForm			(int obj,int n);
void	gereMenu			(int option);
void	popForm			(int i,int n);
void	clicForm			(int obj,int n,int nmb);
void	accOpen			(void);
void	Info				(void);
void	Param				(void);
void	PovII				(void);
void	Pref				(void);
void	Disk				(void);


/******************************************************************************/
/*	FUNCTIONS DEFINED IN PSH_DIV.C															*/
/******************************************************************************/
void	initShell		(void);
void	ChargeINF		(char *name);
void	SauveINF			(void);
void	SetParam			(void);
void	GetParam			(void);
void	Tdt				(void);
void	Pov				(void);
void	BuildEvent		(void);


/******************************************************************************/
/*	FUNCTIONS DEFINED IN PSH_LANG.C															*/
/******************************************************************************/
void	initTable		(void);
void	switchLang		(void);


/******************************************************************************/
/*	FUNCTIONS DEFINED IN PSH_RSC.C															*/
/******************************************************************************/
void	initInfo			(int n);
void	initParam		(int n);
void	initPovII		(int n);
void	initPref			(int n);
void	initDisk			(int n);
void	clicParam		(int n);
void	clicPovII		(int n);
void	clicPref			(int n);
void	clicDisk			(int n);


/******************************************************************************/
/*	VARIABLES																						*/
/******************************************************************************/
extern	char		ENTETE[26];
extern	char		Event[2048];
extern	int		launch;
extern	PSH_OPT	opt,new;
