/******************************************************************************/
/*	"Easy Gem" library Copyright (c)1994 by		Christophe BOYANIQUE				*/
/*																29 Rue Rpublique					*/
/*																37230 FONDETTES					*/
/*																FRANCE								*/
/*						*small* mail at email adress:	cb@spia.freenix.fr				*/
/******************************************************************************/
/*	This program is free software; you can redistribute it and/or modify it		*/
/*	under the terms of the GNU General Public License as published by the Free	*/
/*	Software Foundation; either version 2 of the License, or any later version.*/
/*	This program is distributed in the hope that it will be useful, but WITHOUT*/
/*	ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or		*/
/* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for	*/
/*	more details.																					*/
/*	You should have received a copy of the GNU General Public License along		*/
/*	with this program; if not, write to the Free Software Foundation, Inc.,		*/
/*	675 Mass Ave, Cambridge, MA 02139, USA.												*/
/******************************************************************************/
/*																										*/
/*	THIS IS POVSHELL SOURCES AS AN EXEMPLE OF USE OF EGlib							*/
/*																										*/
/******************************************************************************/

/******************************************************************************/
/*	INCLUDES																							*/
/******************************************************************************/
#include		"PROTO.H"


void initShell()
{
	opt.PARnligne	=	1;
	opt.PARannul	=	1;
	opt.PARtfin		=	1;
	opt.PARcont		=	0;
	opt.PARterr		=	1;
	opt.PARfmtV		=	0;
	opt.PARdisp		=	0;
	opt.PARdispV	=	2;
	opt.PARqual		=	9;
	opt.PARalias	=	0;
	opt.PARaliasV	=	3;
	opt.PARbuf		=	1;
	opt.PARbufV		=	32;
	opt.PARhaut		=	1;
	opt.PARhautV	=	glb.hscr+1;
	opt.PARldeb		=	0;
	opt.PARldebV	=	0;
	opt.PARlfin		=	0;
	opt.PARlfinV	=	glb.hscr;
	opt.PARlarg		=	1;
	opt.PARlargV	=	glb.wscr+1;
	opt.PARcdeb		=	0;
	opt.PARcdebV	=	0;
	opt.PARcfin		=	0;
	opt.PARcfinV	=	glb.wscr;

	opt.PV2lfg		=	0;
	opt.PV2prf		=	0;
	opt.PV2prfV		=	3;
	opt.PV2jit		=	0;
	opt.PV2jitV		=	10;
	opt.PV2lab		=	0;
	opt.PV2labV		=	25;
	opt.PV2tab		=	0;
	opt.PV2tabV		=	1000;
	opt.PV2clk		=	0;
	opt.PV2clkV		=	0;

	opt.PRFshl		=	1;
	opt.PRFmv1		=	1;
	strcpy(opt.entete,ENTETE); 

	strcpy(opt.inc1,glb.path);
	opt.Inc1				=	0;
	strcpy(opt.inc2,glb.path);
	opt.Inc2				=	0;
	strcpy(opt.inc3,glb.path);
	opt.Inc3				=	0;
	strcpy(opt.inc4,glb.path);
	opt.Inc4				=	0;
	strcpy(opt.inc5,glb.path);
	opt.Inc5				=	0;
	strcpy(opt.edt,glb.path);
	strcat(opt.edt,"EDIT.PRG");

	strcpy(opt.DSKinpT,glb.path);
	strcat(opt.DSKinpT,"DATA.POV");

	strcpy(opt.DSKoutT,glb.path);
	opt.DSKout		=	0;
	opt.PARfmt		=	1;
	switch (opt.PARfmtV)
	{
		case	0:		strcat(opt.DSKoutT,"DATA.TGA");	break;
		case	1:		strcat(opt.DSKoutT,"DATA.DIS");	break;
		case	2:		strcat(opt.DSKoutT,"DATA.RAW");	break;
	}
	strcpy(opt.DSKstaT,glb.path);
	strcat(opt.DSKstaT,"POVSTAT.OUT");
	opt.DSKsta			=	1;
	strcpy(opt.DSKpovT,glb.path);
	if ( _cookie('_FPU')>=2 && _cookie('_FPU')<=7 && _cookie('_CPU')>=30L )
		strcat(opt.DSKpovT,"POV30_82.TTP");
	else if (_cookie('_CPU')>=30L)
		strcat(opt.DSKpovT,"POV30.TTP");
	else
		strcat(opt.DSKpovT,"POVST.TTP");
}

/******************************************************************************/
/******************************************************************************/
void ChargeINF(char *txt)
{
	int		ok=FALSE,ha;
	int		type;

	if (strlen(txt)==0)
	{
		type=0;
		strcpy(pname,glb.path);
		strcpy(fname,"POVSHELL.INF");
		strcpy(pfname,pname);
		strcat(pfname,fname);
		strcpy(ext,"*.INF");
		strcpy(tit,"Charger Prfrences:");
		wind_update(BEG_MCTRL);
		if (!_fselect(pfname, pname, fname, ext, tit))
			strcpy(pfname,"");
		wind_update(END_MCTRL);
	}
	else
	{
		type=1;
		strcpy(pfname,txt);
	}

	if (strlen(pfname)>0)
	{
		if (!type)
			strcpy(glb.path,pname);
		new=opt;
		ha=(int)Fopen(pfname,FO_READ);
		if (ha>=0)
		{
			if ( Fseek(0L,ha,2) == (long)sizeof(new) )
			{
				Fseek(0L,ha,0);
				if ( Fread(ha,(long)sizeof(new),(void *)&new) == (long)sizeof(new) )
				{
					if ( !strcmp(opt.entete,new.entete) )
					{
						opt=new;
						SetParam();
						ok=TRUE;
					}
				}
			}
			Fclose(ha);
		}
		if (!ok && !type)
		{
			if (glb.opt.lang==L_FRENCH)
				form_alert(1,glb.rsc.head.frstr[_0LOAD]);
			else
				form_alert(1,glb.rsc.head.frstr[_1LOAD]);
		}
	}
}


/******************************************************************************/
/******************************************************************************/
void SetParam()
{
	OBJECT	*tree;
	int		i,n;

	_mousework();
	for (i=0;i<glb.rsc.head.ntree;i++)
	{
		tree=glb.rsc.head.trindex[i];
		n=-1;
		do
		{
			n+=1;
			initForm(i,n);
		}	while ( !(tree[n].ob_flags & LASTOB) );
	}
	graf_mouse(ARROW,0);

	for (i=0;i<glb.NMB_WDW;i++)
		if (W[i].type==TW_FORM)
			if (W[i].handle>0)
				_winRedraw(i,glb.xdesk,glb.ydesk,glb.wdesk,glb.hdesk);
}


/******************************************************************************/
/******************************************************************************/
void GetParam()
{
	opt.PARaliasV	=	atoi(_obGetStr(glb.rsc.head.trindex[FPARAM],FPARNALS));
	opt.PARqual		=	atoi(_obGetStr(glb.rsc.head.trindex[FPARAM],FPARNQUAL));
	opt.PARbufV		=	atoi(_obGetStr(glb.rsc.head.trindex[FPARAM],FPARNBUF));
	opt.PARlargV	=	atoi(_obGetStr(glb.rsc.head.trindex[FPARAM],FPARNLRG));
	opt.PARhautV	=	atoi(_obGetStr(glb.rsc.head.trindex[FPARAM],FPARNHAU));
	opt.PARcdebV	=	atoi(_obGetStr(glb.rsc.head.trindex[FPARAM],FPARNCDB));
	opt.PARldebV	=	atoi(_obGetStr(glb.rsc.head.trindex[FPARAM],FPARNLDB));
	opt.PARcfinV	=	atoi(_obGetStr(glb.rsc.head.trindex[FPARAM],FPARNCFN));
	opt.PARlfinV	=	atoi(_obGetStr(glb.rsc.head.trindex[FPARAM],FPARNLFN));
	opt.PV2prfV		=	atoi(_obGetStr(glb.rsc.head.trindex[FPOV2],FPV2NPRF));
	opt.PV2jitV		=	atoi(_obGetStr(glb.rsc.head.trindex[FPOV2],FPV2NJIT));
	opt.PV2labV		=	atoi(_obGetStr(glb.rsc.head.trindex[FPOV2],FPV2NLAB));
	opt.PV2tabV		=	atoi(_obGetStr(glb.rsc.head.trindex[FPOV2],FPV2NTAB));
	opt.PV2clkV		=	atof(_obGetStr(glb.rsc.head.trindex[FPOV2],FPV2NCLK));
}


/******************************************************************************/
/******************************************************************************/
void SauveINF()
{
	int		ok=FALSE,ha;

	strcpy(pname,glb.path);
	strcpy(fname,"POVSHELL.INF");
	strcpy(ext,"*.INF");
	strcpy(tit,"Sauver Prfrences:");

	wind_update(BEG_MCTRL);
	if (_fselect(pfname,pname,fname,ext,tit))
		if (strlen(pfname)>0)
		{
			GetParam();
			strcpy(glb.path,pname);
			ok=1;
			ha=(int)Fcreate(pfname,0);
			if (ha>=0)
			{
				if ( Fwrite(ha,sizeof(opt),(void *)&opt) == sizeof(opt) )
					ok=TRUE;
				Fclose(ha);
			}
			if (!ok)
			{
				if (glb.opt.lang==L_FRENCH)
					form_alert(1,glb.rsc.head.frstr[_0SAVE]);
				else
					form_alert(1,glb.rsc.head.frstr[_1SAVE]);
			}
		}
	wind_update(END_MCTRL);
}


/******************************************************************************/
/******************************************************************************/
void Tdt()
{
	int		drive;
	char		EV[128],*p;

	if (_fexist(opt.edt,0))
	{
		strcpy(EV," ");
		strcat(EV,opt.DSKinpT);
		EV[0]=strlen(EV);

		strcpy(pname,opt.edt);
		p=strrchr(pname,'\\');
		if (p)
			p[1] = '\0';
		drive=Dgetdrv();
		Dgetpath(glb.path,drive+1);
		if (pname[1]==':')
			Dsetdrv((int)(pname[0]-65));
		Dsetpath(pname);

		if ( opt.PRFshl && glb.Multi )
			shel_write(0,0,0,opt.edt,EV);
		else
		{
			_AcClose();
			_menuBar(glb.menu,0);
			printf("%cE",27);
			Pexec(0,opt.edt,EV,"");
			Crawcin();
			form_dial(FMD_FINISH,0,0,0,0,glb.xdesk,glb.ydesk,glb.wdesk,glb.hdesk);
			_menuBar(glb.menu,1);
			_AcOpen();
		}
		Dsetdrv(drive);
		Dsetpath(glb.path);
	}
	else
	{
		if (glb.opt.lang==L_FRENCH)
			form_alert(1,glb.rsc.head.frstr[_0NOTDT]);
		else
			form_alert(1,glb.rsc.head.frstr[_1NOTDT]);
	}
}

void Pov()
{
	int		drive,h;
	char		EV[128],*p;

	BuildEvent();
	if (_fexist(opt.DSKpovT,0))
	{
		strcpy(glb.path,opt.DSKpovT);
		p=strrchr(glb.path,'\\');
		if (p)
			p[1] = '\0';
		strcpy(EV,glb.path);
		strcat(EV,"POVRAY.DEF");
		h=(int)Fcreate(EV,0);
		if (h>=0)
			Fwrite(h,strlen(Event),&Event);
		Fclose(h);
		strcpy(EV," ");
		strcat(EV,glb.path);
		strcat(EV,"POVRAY.DEF");
		EV[0]=strlen(EV);

		drive=Dgetdrv();
		Dgetpath(glb.path,drive+1);
		if (pname[1]==':')
			Dsetdrv((int)(pname[0]-65));
		Dsetpath(pname);

		if (opt.PRFshl && glb.Multi)
			shel_write(0,0,0,opt.DSKpovT,EV);
		else
		{
			launch=TRUE;
			_AcClose();
			_menuBar(glb.menu,0);
			printf("%cE",27);
			Pexec(0,opt.DSKpovT,EV,"");
			Crawcin();
			form_dial(FMD_FINISH,0,0,0,0,glb.xdesk,glb.ydesk,glb.wdesk,glb.hdesk);
			_menuBar(glb.menu,1);
			_AcOpen();
			launch=FALSE;
		}
		Dsetdrv(drive);
		Dsetpath(glb.path);
	}
	else
	{
		if (glb.opt.lang==L_FRENCH)
			form_alert(1,glb.rsc.head.frstr[_0NOPOV]);
		else
			form_alert(1,glb.rsc.head.frstr[_1NOPOV]);
	}
}

void BuildEvent()
{
	char		Buf[20];

	GetParam();
	strcpy(Event,"");
	if (opt.PARalias)
	{
		strcat(Event,"+a");
		if (opt.PARaliasV<10)
			sprintf(Buf,"0.%i ",opt.PARaliasV);
		else
			sprintf(Buf,"1.0 ");
		strcat(Event,Buf);
	}

	if (opt.PARbuf)
	{
		sprintf(Buf,"+b%i ",opt.PARbufV);
		strcat(Event,Buf);
	}

	if (opt.PARcont)
		strcat(Event,"+c ");

	if (opt.PARdisp)
	{
		strcat(Event,"+d3");
		switch (opt.PARdispV)
		{
			case 2:	strcat(Event,"1 ");	break;
			case 3:	strcat(Event,"0 ");	break;
			case 4:	strcat(Event,"2 ");	break;
			case 5:	strcat(Event,"3 ");	break;
		}
	}
	else strcat(Event,"-d ");

	if (opt.PARlfin)
	{
		if (opt.PRFmv1)
			sprintf(Buf,"+er%u ",opt.PARlfinV);
		else
			sprintf(Buf,"+e%u ",opt.PARlfinV);
		strcat(Event,Buf);
	}

	if (opt.PRFmv1 && opt.PARcfin)
	{
		sprintf(Buf,"+ec%u ",opt.PARcfinV);
		strcat(Event,Buf);
	}

	if (opt.PARfmt)
	{
		switch (opt.PARfmtV)
		{
			case 0:	strcat(Event,"+ft ");	break;
			case 1:	strcat(Event,"+fd ");	break;
			case 2:	strcat(Event,"+fr ");	break;
		}
	}
	else
		strcat(Event,"-f ");

	if (opt.PARhaut)
	{
		sprintf(Buf,"+h%u ",opt.PARhautV);
		strcat(Event,Buf);
	}

	strcat(Event,"+i");
	strcat(Event,opt.DSKinpT);
	strcat(Event," ");

	if (opt.PRFmv1)
	{
		if (opt.PV2jit)
		{
			sprintf(Buf,"+j%.1f ",(float)opt.PV2jitV/10.0);
			strcat(Event,Buf);
		}
		else
			strcat(Event,"-j ");
	}

	if (opt.PRFmv1 && opt.PV2clk)
	{
		sprintf(Buf,"+k%f ",opt.PV2clkV);
		strcat(Event,Buf);
	}

	if (opt.Inc1)	{ 	strcat(Event,"+l");	strcat(Event,opt.inc1);		strcat(Event," ");	}
	if (opt.Inc2)	{ 	strcat(Event,"+l");	strcat(Event,opt.inc2);		strcat(Event," ");	}
	if (opt.Inc3)	{ 	strcat(Event,"+l");	strcat(Event,opt.inc3);		strcat(Event," ");	}
	if (opt.Inc4)	{ 	strcat(Event,"+l");	strcat(Event,opt.inc4);		strcat(Event," ");	}
	if (opt.Inc5)	{ 	strcat(Event,"+l");	strcat(Event,opt.inc5);		strcat(Event," ");	}

	if (opt.PRFmv1)
	{
		if (opt.PV2lab)
		{
			sprintf(Buf,"+mb%u ",opt.PV2labV);
			strcat(Event,Buf);
		}
		else
			strcat(Event,"-mb ");
	}

	if ( (opt.PRFmv1) && (opt.PV2tab) )
	{
		sprintf(Buf,"+ms%u ",opt.PV2tabV);
		strcat(Event,Buf);
	}

	if ( (opt.PRFmv1) && (opt.PV2lan) )
		strcat(Event,"+mv1.0 ");

	if (opt.DSKout)
	{ 
		strcat(Event,"+o");
		strcat(Event,opt.DSKoutT);
		strcat(Event," ");
	}

	if (opt.PARtfin)
		strcat(Event,"+p ");
	else
		strcat(Event,"-p ");

	sprintf(Buf,"+q%i ",opt.PARqual);
	strcat(Event,Buf);

	if ( (opt.PRFmv1) && (opt.PV2prf) )
	{
		sprintf(Buf,"+r%u ",opt.PV2prfV);
		strcat(Event,Buf);
	}

	if (opt.PARldeb)
	{
		if (opt.PRFmv1)
			sprintf(Buf,"+sr%u ",opt.PARldebV);
		else
			sprintf(Buf,"+s%u ",opt.PARldebV);
		strcat(Event,Buf);
	}

	if ( (opt.PRFmv1) && (opt.PARcdeb) )
	{
		sprintf(Buf,"+sc%u ",opt.PARcdebV);
		strcat(Event,Buf);
	}

	if (opt.PARnligne)
		strcat(Event,"+v ");
	else
		strcat(Event,"-v ");

	if (opt.PARlarg)
	{
		sprintf(Buf,"+w%u ",opt.PARlargV);
		strcat(Event,Buf);
	}

	if (opt.PARannul)
		strcat(Event,"+x ");
	else
		strcat(Event,"-x ");

	if (opt.DSKsta)
	{
		strcat(Event,"+@");
		strcat(Event,opt.DSKstaT);
		strcat(Event," ");
	}

	if (opt.PRFmv1)
	{
		if (opt.PARterr)
			strcat(Event,"+u ");
		else
			strcat(Event,"-u ");
	}
	else
	{
		if (opt.PARterr)
			strcat(Event,"+k ");
		else
			strcat(Event,"-k ");
	}

	if (opt.PV2lfg)
		if (opt.PRFmv1)
			strcat(Event,"+g ");
		else
			strcat(Event,"+y ");
}
