/******************************************************************************/
/*	"Easy Gem" library Copyright (c)1994 by		Christophe BOYANIQUE				*/
/*																29 Rue Rpublique					*/
/*																37230 FONDETTES					*/
/*																FRANCE								*/
/*						*small* mail at email adress:	cb@spia.freenix.fr				*/
/******************************************************************************/
/*	This program is free software; you can redistribute it and/or modify it		*/
/*	under the terms of the GNU General Public License as published by the Free	*/
/*	Software Foundation; either version 2 of the License, or any later version.*/
/*	This program is distributed in the hope that it will be useful, but WITHOUT*/
/*	ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or		*/
/* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for	*/
/*	more details.																					*/
/*	You should have received a copy of the GNU General Public License along		*/
/*	with this program; if not, write to the Free Software Foundation, Inc.,		*/
/*	675 Mass Ave, Cambridge, MA 02139, USA.												*/
/******************************************************************************/
/*																										*/
/*	THIS IS POVSHELL SOURCES AS AN EXEMPLE OF USE OF EGlib							*/
/*																										*/
/******************************************************************************/

/******************************************************************************/
/*	INCLUDES																							*/
/******************************************************************************/
#include		"PROTO.H"
#ifndef LOAD_RSC
	#include		"POVSHELL.RSH"
	#include		"POVSHELL.RH"
#endif


/******************************************************************************/
/*	VARIABLES																						*/
/******************************************************************************/
char		ENTETE[26]="POVshell v2.2 DMV/BinariS\0";
char		Event[2048];
int		launch=TRUE;
PSH_OPT	opt,new;


/******************************************************************************/
/*	MAIN FUNCTION																					*/
/******************************************************************************/
main()
{
	_clearGLB();
	strcpy(glb.name,"  POVshell  ");
	strcpy(glb.help,"PSH_MAIN");			/*	Nom du fichier d'aide dfaut	*/
	strcpy(glb.cnf,"POVSHELL.CNF");	/*	Nom du fichier config			*/
	glb.NMB_WDW		=	6;					/*	Nombre de fentres				*/
	glb.opt.mlen	=	0L;				/*	Le minimum de mmoire			*/
	glb.opt.mnmb	=	0;					/*	Nombre de blocs mmoire			*/
	glb.Finit		=	init;				/*	Init function						*/
	_EGlib();								/*	Call Eglib !						*/
	return 0;
}


/******************************************************************************/
/*	Init des paramtres																			*/
/******************************************************************************/
void init()
{
	#ifndef LOAD_RSC
		int	i;
		strcpy(glb.rsc.name,"");
		glb.rsc.type			=	INT_RSC;
		glb.rsc.head.nobs		=	NUM_OBS;
		glb.rsc.head.ntree	=	NUM_TREE;
		glb.rsc.head.nted		=	NUM_TI;
		glb.rsc.head.ncib		=	NUM_CIB;
		glb.rsc.head.nib		=	NUM_IB;
		glb.rsc.head.nbb		=	NUM_BB;
		glb.rsc.head.nfstr	=	NUM_FRSTR;
		glb.rsc.head.nfimg	=	NUM_FRIMG;
		#if NUM_OBS>0
		glb.rsc.head.object	=	rs_object;
		#endif
		#if NUM_TREE>0
		glb.rsc.head.trindex	=	rs_trindex;
		#endif
		#if NUM_TI>0
		glb.rsc.head.tedinfo	=	rs_tedinfo;
		#endif
		#if NUM_IB>0
		glb.rsc.head.iconblk	=	rs_iconblk;
		#endif
		#if NUM_BB>0
		glb.rsc.head.bitblk	=	rs_bitblk;
		#endif
		#if NUM_CIB>0
		glb.rsc.head.cicon	=	rs_cicon;
		glb.rsc.head.ciconblk=	rs_ciconblk;
		#endif
		#if NUM_FRSTR>0
		glb.rsc.head.frstr	=	rs_frstr;
		#endif
		#if NUM_FRIMG>0
		glb.rsc.head.frimg	=	rs_frimg;
		#endif
		for (i=0;i<NUM_OBS;i++)
			rsrc_obfix(&rs_object[i],0);
	#else
		strcpy(glb.rsc.name,"POVSHELL.RSC");
		glb.rsc.type=EXT_RSC;
	#endif

	glb.FiObRSC		=	initForm;		/*	Init des objets	*/
	glb.Fcut			=	initTable;		/*	Dcoupe textes		*/
	glb.FLang		=	switchLang;		/*	Language switching*/
	glb.menu			=	MENU0;
	glb.icon			=	ICSHELL;
	glb.FgereMenu	=	gereMenu;
	glb.fpop			=	popForm;
	glb.FacOpen		=	accOpen;			/*	AC_OPEN				*/
	glb.FclicF		=	clicForm;		/*	Clic Form			*/
	glb.flag			=	MU_BUTTON;
	initShell();
}


/******************************************************************************/
/*	INITS THE RSC OBJETCS																		*/
/******************************************************************************/
void initForm(int obj,int n)
{
	switch (obj)
	{
		case	FINFO:
			initInfo(n);
			break;
		case	FPARAM:
			initParam(n);
			break;
		case	FPOV2:
			initPovII(n);
			break;
		case	FPREF:
			initPref(n);
			break;
		case	FDISK:
			initDisk(n);
			break;
	}
}


/******************************************************************************/
/*	HANDLES MENU EVENTS																			*/
/******************************************************************************/
void	gereMenu(int option)
{
	switch (option)
	{
		case	MINFO:	Info();					break;
		case	MCINF:	ChargeINF("");			break;
		case	MSINF:	SauveINF();				break;
		case	MPOV:		Pov();					break;
		case	MTDT:		Tdt();					break;
		case	MQUIT:	glb.Exit=1;				break;
		case	MPARAM:	Param();					break;
		case	MPOVII:	PovII();					break;
		case	MPREF:	Pref();					break;
		case	MDISK:	Disk();					break;
		case	MEGLIB:	_EGlibPop();			break;
	}
}


/******************************************************************************/
/*	HANDLES THE POPUP MENU EVENTS																*/
/******************************************************************************/
#pragma warn -par
void popForm(int i,int n)
{
	if (i!=-1)
	{
		switch (W[i].type)
		{
			case	TW_FORM:
				switch (W[i].id)
				{
					case	FINFO:
						switch (n+1)
						{
							case	PINFPAR:		Param();			break;
							case	PINFPOV2:	PovII();			break;
							case	PINFPRF:		Pref();			break;
							case	PINFDSK:		Disk();			break;
							case	PINFPOV:		Pov();			break;
							case	PINFTDT:		Tdt();			break;
							case	PINFLIB:		_EGlibPop();	break;
							case	PINFQUIT:	glb.Exit=1;		break;
						}
						break;
				}
				break;
		}
	}
}
#pragma warn +par


/******************************************************************************/
/*	HANDLES CLICS ON RSC OBJECTS																*/
/******************************************************************************/
#pragma warn -par
void clicForm(int obj,int n,int nmb)
{
	switch (obj)
	{
		case	FPARAM:	clicParam(n);		break;
		case	FPOV2:	clicPovII(n);		break;
		case	FPREF:	clicPref(n);		break;
		case	FDISK:	clicDisk(n);		break;
	}
}
#pragma warn +par


/******************************************************************************/
/******************************************************************************/
void	accOpen()
{
	if (!launch)
		Info();
}


/******************************************************************************/
/******************************************************************************/
void	Info()
{
	_winForm(FINFO,_getLang(glb.rsc.head.frstr[WINFO]),"POVshell","",PINFO,ICINFO);
}
void	Param()
{
	_winForm(FPARAM,_getLang(glb.rsc.head.frstr[WPARAM]),"POVshell","",-1,ICPARAM);
}
void	PovII()
{
	_winForm(FPOV2,_getLang(glb.rsc.head.frstr[WPOV2]),"POVshell","",-1,ICPOV2);
}
void	Pref()
{
	_winForm(FPREF,_getLang(glb.rsc.head.frstr[WPREF]),"POVshell","",-1,ICPREF);
}
void	Disk()
{
	_winForm(FDISK,_getLang(glb.rsc.head.frstr[WDISK]),"POVshell","",-1,ICDISK);
}
