/******************************************************************************/
/*	"Easy Gem" library Copyright (c)1994 by		Christophe BOYANIQUE				*/
/*																29 Rue Rpublique					*/
/*																37230 FONDETTES					*/
/*																FRANCE								*/
/*						*small* mail at email adress:	cb@spia.freenix.fr				*/
/******************************************************************************/
/*	This program is free software; you can redistribute it and/or modify it		*/
/*	under the terms of the GNU General Public License as published by the Free	*/
/*	Software Foundation; either version 2 of the License, or any later version.*/
/*	This program is distributed in the hope that it will be useful, but WITHOUT*/
/*	ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or		*/
/* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for	*/
/*	more details.																					*/
/*	You should have received a copy of the GNU General Public License along		*/
/*	with this program; if not, write to the Free Software Foundation, Inc.,		*/
/*	675 Mass Ave, Cambridge, MA 02139, USA.												*/
/******************************************************************************/
/*																										*/
/*	THIS IS POVSHELL SOURCES AS AN EXEMPLE OF USE OF EGlib							*/
/*																										*/
/******************************************************************************/

/******************************************************************************/
/*	INCLUDES																							*/
/******************************************************************************/
#include		"PROTO.H"


/******************************************************************************/
/*	THIS FUNCTIONS INIT THE RSC OBJECTS														*/
/******************************************************************************/
void initInfo(int n)
{
	char		txt[30];
	OBJECT	*tree=glb.rsc.head.trindex[FINFO];

	if (n==INFDAT)
	{
		sprintf(txt,"%s from %s",RELEASE,__DATE__);		/*	compiling date	*/
		_obPutStr(tree,n,txt);							/*	& release		*/
	}
}
void initParam(int n)
{
	OBJECT	*tree=glb.rsc.head.trindex[FPARAM];
	char		txt[20];

	switch (n)
	{
		case	FPARNLG:
			if (opt.PARnligne)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARBRK:
			if (opt.PARannul)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARKFN:
			if (opt.PARtfin)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARCON:
			if (opt.PARcont)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARKER:
			if (opt.PARterr)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARFMT:
			if (opt.PARfmt)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARPFMT:
			_initPopUp(tree,n,PFORMAT,opt.PARfmtV);
			break;
		case	FPARAFF:
			if (opt.PARdisp)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARPAFF:
			_initPopUp(tree,n,PDISPLAY,opt.PARdispV);
			break;
		case	FPARNQUAL:
			sprintf(txt,"%u",opt.PARqual);
			_obPutStr(tree,n,txt);
			break;
		case	FPARALS:
			if (opt.PARalias)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARNALS:
			if (opt.PARaliasV==10)
				strcpy(txt,"10");
			else
				sprintf(txt,"0%1u",opt.PARaliasV);
			_obPutStr(tree,n,txt);
			break;
		case	FPARBUF:
			if (opt.PARbuf)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARNBUF:
			sprintf(txt,"%u",opt.PARbufV);
			_obPutStr(tree,n,txt);
			break;
		case	FPARHAU:
			if (opt.PARhaut)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARNHAU:
			sprintf(txt,"%u",opt.PARhautV);
			_obPutStr(tree,n,txt);
			break;
		case	FPARLDB:
			if (opt.PARldeb)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARNLDB:
			sprintf(txt,"%u",opt.PARldebV);
			_obPutStr(tree,n,txt);
			break;
		case	FPARLFN:
			if (opt.PARlfin)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARNLFN:
			sprintf(txt,"%u",opt.PARlfinV);
			_obPutStr(tree,n,txt);
			break;
		case	FPARLRG:
			if (opt.PARlarg)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARNLRG:
			sprintf(txt,"%u",opt.PARlargV);
			_obPutStr(tree,n,txt);
			break;
		case	FPARCDB:
			if (opt.PARcdeb)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARNCDB:
			sprintf(txt,"%u",opt.PARcdebV);
			_obPutStr(tree,n,txt);
			break;
		case	FPARCFN:
			if (opt.PARcfin)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPARNCFN:
			sprintf(txt,"%u",opt.PARcfinV);
			_obPutStr(tree,n,txt);
			break;
	}
}
void initPovII(int n)
{
	OBJECT	*tree=glb.rsc.head.trindex[FPOV2];
	char		txt[20];

	switch (n)
	{
		case	FPV2LFG:
			if (opt.PV2lfg)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPV2PRF:
			if (opt.PV2prf)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPV2NPRF:
			sprintf(txt,"%u",opt.PV2prfV);
			_obPutStr(tree,n,txt);
			break;
		case	FPV2JIT:
			if (opt.PV2jit)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPV2NJIT:
			if (opt.PV2jitV==10)
				strcpy(txt,"10");
			else if (opt.PV2jitV<10)
				sprintf(txt,"0%1u",opt.PV2jitV);
			_obPutStr(tree,n,txt);
			break;
		case	FPV2LAB:
			if (opt.PV2lab)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPV2NLAB:
			sprintf(txt,"%u",opt.PV2labV);
			_obPutStr(tree,n,txt);
			break;
		case	FPV2TAB:
			if (opt.PV2tab)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPV2NTAB:
			sprintf(txt,"%u",opt.PV2tabV);
			_obPutStr(tree,n,txt);
			break;
		case	FPV2LAN:
			if (opt.PV2lan)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPV2CLK:
			if (opt.PV2clk)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPV2NCLK:
			sprintf(txt,"%.2f",opt.PV2clkV);
			_obPutStr(tree,n,txt);
			break;
	}
}
void initPref(int n)
{
	OBJECT	*tree=glb.rsc.head.trindex[FPREF];

	switch (n)
	{
		case	FPRFSHL:
			if (glb.Multi==0)
				tree[FPRFSHL].ob_state|=DISABLED;
			if (opt.PRFshl)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FPRFCMD:
			if (opt.PRFmv1)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
	}
}
void	initDisk(int n)
{
	OBJECT	*tree=glb.rsc.head.trindex[FDISK];

	switch (n)
	{
		case	FDSKINPT:
			_putPath(tree,n,20,(char *)&opt.DSKinpT);
			break;
		case	FDSKOUT:
			if (opt.DSKout)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FDSKOUTT:
			_putPath(tree,n,20,(char *)&opt.DSKoutT);
			break;
		case	FDSKSTA:
			if (opt.DSKsta)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FDSKSTAT:
			_putPath(tree,n,20,(char *)&opt.DSKstaT);
			break;
		case	FDSKPOVT:
			_putPath(tree,n,20,(char *)&opt.DSKpovT);
			break;
		case	FDSKIN1:
			if (opt.Inc1)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FDSKIN1T:
			_putPath(tree,n,20,(char *)&opt.inc1);
			break;
		case	FDSKIN2:
			if (opt.Inc2)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FDSKIN2T:
			_putPath(tree,n,20,(char *)&opt.inc2);
			break;
		case	FDSKIN3:
			if (opt.Inc3)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FDSKIN3T:
			_putPath(tree,n,20,(char *)&opt.inc3);
			break;
		case	FDSKIN4:
			if (opt.Inc4)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FDSKIN4T:
			_putPath(tree,n,20,(char *)&opt.inc4);
			break;
		case	FDSKIN5:
			if (opt.Inc5)
				tree[n].ob_state|=SELECTABLE;
			else
				tree[n].ob_state&=~SELECTABLE;
			break;
		case	FDSKIN5T:
			_putPath(tree,n,20,(char *)&opt.inc5);
			break;
		case	FDSKTDTT:
			_putPath(tree,n,20,(char *)&opt.edt);
			break;
	}
}


/******************************************************************************/
/*	THIS FUNCTIONS HANDLE CLIC ON RSC OBJECTS												*/
/******************************************************************************/
void clicParam(int n)
{
	OBJECT			*tree=glb.rsc.head.trindex[FPARAM];

	switch (n)
	{
		case	FPARNLG:
			opt.PARnligne=tree[n].ob_state&SELECTED;
			break;
		case	FPARBRK:
			opt.PARannul=tree[n].ob_state&SELECTED;
			break;
		case	FPARKFN:
			opt.PARtfin=tree[n].ob_state&SELECTED;
			break;
		case	FPARCON:
			opt.PARcont=tree[n].ob_state&SELECTED;
			break;
		case	FPARKER:
			opt.PARterr=tree[n].ob_state&SELECTED;
			break;
		case	FPARFMT:
			opt.PARfmt=tree[n].ob_state&SELECTED;
			break;
		case	FPARPFMT:
			opt.PARfmtV=_getPopUp(tree,n);
			break;
		case	FPARAFF:
			opt.PARdisp=tree[n].ob_state&SELECTED;
			break;
		case	FPARPAFF:
			opt.PARdispV=_getPopUp(tree,n);
			break;
		case	FPARALS:
			opt.PARalias=tree[n].ob_state&SELECTED;
			break;
		case	FPARBUF:
			opt.PARbuf=tree[n].ob_state&SELECTED;
			break;
		case	FPARLRG:
			opt.PARlarg=tree[n].ob_state&SELECTED;
			break;
		case	FPARCDB:
			opt.PARcdeb=tree[n].ob_state&SELECTED;
			break;
		case	FPARCFN:
			opt.PARcfin=tree[n].ob_state&SELECTED;
			break;
		case	FPARHAU:
			opt.PARhaut=tree[n].ob_state&SELECTED;
			break;
		case	FPARLDB:
			opt.PARldeb=tree[n].ob_state&SELECTED;
			break;
		case	FPARLFN:
			opt.PARlfin=tree[n].ob_state&SELECTED;
			break;
	}
}
void clicPovII(int n)
{
	OBJECT			*tree=glb.rsc.head.trindex[FPOV2];

	switch (n)
	{
		case	FPV2LFG:
			opt.PV2lfg=tree[n].ob_state&SELECTED;
			break;
		case	FPV2PRF:
			opt.PV2prf=tree[n].ob_state&SELECTED;
			break;
		case	FPV2JIT:
			opt.PV2jit=tree[n].ob_state&SELECTED;
			break;
		case	FPV2LAB:
			opt.PV2lab=tree[n].ob_state&SELECTED;
			break;
		case	FPV2TAB:
			opt.PV2tab=tree[n].ob_state&SELECTED;
			break;
		case	FPV2LAN:
			opt.PV2lan=tree[n].ob_state&SELECTED;
			break;
		case	FPV2CLK:
fprintf(stdaux,"%.2f %li %li\n",opt.PV2clkV,(long)_obGetStr(glb.rsc.head.trindex[FPOV2],FPV2NCLK),(long)_obGetStr(glb.rsc.head.trindex[FPOV2],FPV2NCLK));
			opt.PV2clk=tree[n].ob_state&SELECTED;
			break;
	}
}
void clicPref(int n)
{
	OBJECT	*tree=glb.rsc.head.trindex[FPREF];
	int		obx,oby,obw,obh;

	switch (n)
	{
		case	FPRFSHL:
			opt.PRFshl=tree[n].ob_state&SELECTED;
			break;
		case	FPRFCMD:
			opt.PRFmv1=tree[n].ob_state&SELECTED;
			break;
		case	FPRFLOA:
			if (tree[n].ob_state&SELECTED)
			{
				tree[n].ob_state&=~SELECTABLE;
				ChargeINF("");
				wind_update(BEG_UPDATE);
				_coord(tree,n,TRUE,&obx,&oby,&obw,&obh);
				_winObdraw(_winFindId(TW_FORM,FPREF,TRUE),tree,n,0,obx,oby,obw,obh);
				wind_update(END_UPDATE);
			}
			break;
		case	FPRFSAV:
			if (tree[n].ob_state&SELECTED)
			{
				tree[n].ob_state&=~SELECTABLE;
				SauveINF();
				wind_update(BEG_UPDATE);
				_coord(tree,n,TRUE,&obx,&oby,&obw,&obh);
				_winObdraw(_winFindId(TW_FORM,FPREF,TRUE),tree,n,0,obx,oby,obw,obh);
				wind_update(END_UPDATE);
			}
			break;
	}
}
void clicDisk(int n)
{
	OBJECT			*tree=glb.rsc.head.trindex[FDISK];
	int				obx,oby,obw,obh;
	char				*p;

	switch (n)
	{
		case	FDSKINPT:
			tree[n].ob_state&=~SELECTED;
			strcpy(pfname,opt.DSKinpT);
			strcpy(pname,pfname);
			p=strrchr(pname,'\\');
			if (p)
				p[0]=0;
			else
				pname[0]=0;
			if ( !_fexist(pname,FA_SUBDIR) )
				strcpy(pname,glb.path);
			p=strrchr(pfname,'\\');
			if (p)
				strcpy(fname,p+1);
			else
				strcpy(fname,pfname);
			strcpy(ext,"*.POV");
			strcpy(tit,"Fichier script:");
			wind_update(BEG_MCTRL);
			if ( (_fselect(pfname,pname,fname,ext,tit)) && (_fexist(pfname,0)) )
			{
				strcpy(opt.DSKinpT,pfname);
				_putPath(tree,n,20,(char *)&opt.DSKinpT);
			}
			_coord(tree,n,TRUE,&obx,&oby,&obw,&obh);
			_winObdraw(_winFindId(TW_FORM,FDISK,TRUE),tree,n,0,obx,oby,obw,obh);
			wind_update(END_MCTRL);
			break;
		case	FDSKOUT:
			opt.DSKout=tree[n].ob_state&SELECTED;
			break;
		case	FDSKOUTT:
			tree[n].ob_state&=~SELECTED;
			strcpy(pfname,opt.DSKoutT);
			if ( !_fexist(pfname,0) )
			{
				strcpy(pname,pfname);
				p=strrchr(pname,'\\');
				if (p)
					p[0]=0;
				else
					pname[0]=0;
				if ( !_fexist(pname,FA_SUBDIR) )
					strcpy(pname,glb.path);
				p=strrchr(opt.DSKinpT,'\\');
				if (p)
					strcpy(fname,p+1);
				else
					strcpy(fname,opt.DSKinpT);
				p=strrchr(fname,'.');
				if (p)
				{
					p[1]=0;
					switch	(opt.PARfmtV)
					{
						case 0:	strcat(fname,"TGA");	break;
						case 1:	strcat(fname,"DIS");	break;
						case 2:	strcat(fname,"RAW");	break;
					}
				}
			}
			strcpy(tit,"Fichier de sortie:");
			switch	(opt.PARfmtV)
			{
				case 0:	strcpy(ext,"*.TGA");	break;
				case 1:	strcpy(ext,"*.DIS");	break;
				case 2:	strcpy(ext,"*.RAW");	break;
			}
			wind_update(BEG_MCTRL);
			if (_fselect(pfname,pname,fname,ext,tit))
			{
				strcpy(opt.DSKoutT,pfname);
				_putPath(tree,n,20,(char *)&opt.DSKoutT);
			}
			_coord(tree,n,TRUE,&obx,&oby,&obw,&obh);
			_winObdraw(_winFindId(TW_FORM,FDISK,TRUE),tree,n,0,obx,oby,obw,obh);
			wind_update(END_MCTRL);
			break;
		case	FDSKSTA:
			opt.DSKsta=tree[n].ob_state&SELECTED;
			break;
		case	FDSKSTAT:
			tree[n].ob_state&=~SELECTED;
			strcpy(pfname,opt.DSKstaT);
			strcpy(pname,pfname);
			p=strrchr(pname,'\\');
			if (p)
				p[0]=0;
			else
				pname[0]=0;
			if ( !_fexist(pname,FA_SUBDIR) )
				strcpy(pname,glb.path);
			p=strrchr(pfname,'\\');
			if (p)
				strcpy(fname,p+1);
			else
				strcpy(fname,pfname);
			strcpy(ext,"*.OUT");
			strcpy(tit,"Fichier statistiques:");
			wind_update(BEG_MCTRL);
			if (_fselect(pfname,pname,fname,ext,tit))
			{
				strcpy(opt.DSKstaT,pfname);
				_putPath(tree,n,20,(char *)&opt.DSKstaT);
			}
			_coord(tree,n,TRUE,&obx,&oby,&obw,&obh);
			_winObdraw(_winFindId(TW_FORM,FDISK,TRUE),tree,n,0,obx,oby,obw,obh);
			wind_update(END_MCTRL);
			break;
		case	FDSKPOVT:
			tree[n].ob_state&=~SELECTED;
			strcpy(pfname,opt.DSKpovT);
			strcpy(pname,pfname);
			p=strrchr(pname,'\\');
			if (p)
				p[0]=0;
			else
				pname[0]=0;
			if ( !_fexist(pname,FA_SUBDIR) )
				strcpy(pname,glb.path);
			p=strrchr(pfname,'\\');
			if (p)
				strcpy(fname,p+1);
			else
				strcpy(fname,pfname);
			strcpy(ext,"*.TTP");
			strcpy(tit,"Programme POV:");
			wind_update(BEG_MCTRL);
			if ( _fselect(pfname,pname,fname,ext,tit) && _fexist(pfname,0) )
			{
				strcpy(opt.DSKpovT,pfname);
				_putPath(tree,n,20,(char *)&opt.DSKpovT);
			}
			_coord(tree,n,TRUE,&obx,&oby,&obw,&obh);
			_winObdraw(_winFindId(TW_FORM,FDISK,TRUE),tree,n,0,obx,oby,obw,obh);
			wind_update(END_MCTRL);
			break;
		case	FDSKIN1:
			opt.Inc1=tree[n].ob_state&SELECTED;
			break;
		case	FDSKIN1T:
		case	FDSKIN2T:
		case	FDSKIN3T:
		case	FDSKIN4T:
		case	FDSKIN5T:
			tree[n].ob_state&=~SELECTED;
			strcpy(fname,"");
			strcpy(pfname,"");
			strcpy(ext,"*.*");
			strcpy(tit,"Chemin d'inclusion:");
			switch (n-FDSKIN1T)
			{
				case 0:	strcpy(pname,opt.inc1);		break;
				case 1:	strcpy(pname,opt.inc2);		break;
				case 2:	strcpy(pname,opt.inc3);		break;
				case 3:	strcpy(pname,opt.inc4);		break;
				case 4:	strcpy(pname,opt.inc5);		break;
			}
			if ( !_fexist(pname,FA_SUBDIR) )
				strcpy(pname,glb.path);
			wind_update(BEG_MCTRL);
			if ( _fselect(pfname,pname,fname,ext,tit) )
			{
				switch (n-FDSKIN1T)
				{
					case 0:	strcpy(opt.inc1,pname);		break;
					case 1:	strcpy(opt.inc2,pname);		break;
					case 2:	strcpy(opt.inc3,pname);		break;
					case 3:	strcpy(opt.inc4,pname);		break;
					case 4:	strcpy(opt.inc5,pname);		break;
				}
				_putPath(tree,n,20,(char *)&pname);
			}
			_coord(tree,n,TRUE,&obx,&oby,&obw,&obh);
			_winObdraw(_winFindId(TW_FORM,FDISK,TRUE),tree,n,0,obx,oby,obw,obh);
			wind_update(END_MCTRL);
			break;
		case	FDSKIN2:
			opt.Inc1=tree[n].ob_state&SELECTED;
			break;
		case	FDSKIN3:
			opt.Inc1=tree[n].ob_state&SELECTED;
			break;
		case	FDSKIN4:
			opt.Inc1=tree[n].ob_state&SELECTED;
			break;
		case	FDSKIN5:
			opt.Inc1=tree[n].ob_state&SELECTED;
			break;
		case	FDSKTDTT:
			tree[n].ob_state&=~SELECTED;
			strcpy(pfname,opt.edt);
			strcpy(pname,pfname);
			p=strrchr(pname,'\\');
			if (p)
				p[0]=0;
			else
				pname[0]=0;
			if ( !_fexist(pname,FA_SUBDIR) )
				strcpy(pname,glb.path);
			p=strrchr(pfname,'\\');
			if (p)
				strcpy(fname,p+1);
			else
				strcpy(fname,pfname);
			strcpy(ext,"*.*");
			strcpy(tit,"Editeur de textes:");
			wind_update(BEG_MCTRL);
			if ( _fselect(pfname,pname,fname,ext,tit) && _fexist(pfname,0) )
			{
				strcpy(opt.edt,pfname);
				_putPath(tree,n,20,(char *)&opt.edt);
			}
			_coord(tree,n,TRUE,&obx,&oby,&obw,&obh);
			_winObdraw(_winFindId(TW_FORM,FDISK,TRUE),tree,n,0,obx,oby,obw,obh);
			wind_update(END_MCTRL);
			break;
	}
}
